/**
 ** Copyright (c) 2001-2004 webMethods, Inc. All Rights Reserved.
 **/
package com.webmethods.portal.portlet.wm_locationmap.mechanics;

import com.webmethods.portal.mech.portlet.impl.ScheduleDrivenPortletMechanics;

import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;

/**
 * This is the implementation of your {@link com.webmethods.portal.mech.IMechanics}
 *
 * @version    $Revision: 1.0 $
 */
public class LocationmapMechanics extends ScheduleDrivenPortletMechanics {

    protected static final String DEFAULT_INTERVAL = "00:20:00";
    protected static final String SCHEDULE_DEFAULT_TIMEAT = "*:*:0";

    private Map m_userCoordsMap = new HashMap();
    private Map m_cityStateCountryMap = new HashMap();

    protected List getScheduleInfo() {
        List scheduleInfo = new ArrayList();
        scheduleInfo.add(new ScheduleDrivenPortletMechanics.ScheduleInfoBean(DEFAULT_INTERVAL,
                                                                             SCHEDULE_DEFAULT_TIMEAT));
        return scheduleInfo;
    }

    public Map getUserCoordsMap() {
        return m_userCoordsMap;
    }

    public Map getCityStateCountryMap() {
        return m_cityStateCountryMap;
    }
}