/**
 * 
 */
package com.webmethods.portlet.customer_list;

/**
 * @author oleksiyo
 *
 */
public class Customer_listViewPageBean extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider customer_list_query = null;
	private static final String[][] CUSTOMER_LIST_QUERY_PARAMS = new String[][] {
		{"#{customer_list_query.parameters[0]}", "#{Customer_listBean.customerName}"}, 
		{"#{customer_list_query.parameters[1]}", "#{Customer_listBean.country}"} 
	};
	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getCustomer_list_query()  {
		if (customer_list_query == null) {
		    customer_list_query = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{customer_list_query}");
		}
		return customer_list_query;
	}

	public String refreshcustomer_list_query()  {
		if (resolveDataBinding(CUSTOMER_LIST_QUERY_PARAMS, getCustomer_list_query(), "customer_list_query", false, true)) {
			try {
				((Customer_listBean)getBean("Customer_listBean")).setCustomerID("");
			} catch (Exception e) {
				log(e);
			}
			getCustomer_list_query().refresh();
		}
		return null;
	}

	protected void beforeRenderResponse() {
		refreshcustomer_list_query();
	}

	/**
	 * Getter method for the control with id='CustomersTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getCustomersTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("CustomersTable");
	}

	/**
	 * Getter method for the control with id='updateCustomerIDLink'
	 */
	public javax.faces.component.html.HtmlCommandLink getUpdateCustomerIDLink()  {
		return (javax.faces.component.html.HtmlCommandLink)findComponentInRoot("updateCustomerIDLink");
	}
}