/**
 * 
 */
package com.webmethods.portlet.customer_orders;


/**
 * @author oleksiyo
 *
 */
public class Customer_ordersViewPageBean extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider customer_orders_query = null;
	private static final String[][] CUSTOMER_ORDERS_QUERY_PARAMS = new String[][] {
		{"#{customer_orders_query.parameters[0]}", "#{Customer_ordersBean.customerID}"} 
	};

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getCustomer_orders_query()  {
		if (customer_orders_query == null) {
		    customer_orders_query = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{customer_orders_query}");
		}
		return customer_orders_query;
	}

	public String refreshcustomer_orders_query()  {
		if (resolveDataBinding(CUSTOMER_ORDERS_QUERY_PARAMS, getCustomer_orders_query(), "customer_orders_query", false, true)) {
			try {
				((Customer_ordersBean)getBean("Customer_ordersBean")).setOrderID("");
			} catch (Exception e) {
				log(e);
			}
		
			getCustomer_orders_query().refresh();
		}
		return null;
	}
	
	protected void beforeRenderResponse() {
		refreshcustomer_orders_query();	
	}

	/**
	 * Getter method for the control with id='OrdersTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getOrdersTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("OrdersTable");
	}
}