/**
 ** Copyright 2006 webMethods, Inc. All Rights Reserved.
 **/

package com.webmethods.portlet.navtests;

import javax.faces.FacesException;
import javax.portlet.PortletMode;
import javax.portlet.PortletModeException;

/**
 * @author local_enorman
 *
 */
public class NavtestsViewPage extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.portlet.navtests.NavtestsBean navtestsBean = null;

	public com.webmethods.portlet.navtests.NavtestsBean getNavtestsBean()  {
		if (navtestsBean == null) {
		    navtestsBean = (com.webmethods.portlet.navtests.NavtestsBean)resolveExpression("#{NavtestsBean}");
		}
		return navtestsBean;
	}

	/**
	 * Action Event Handler for the control with id='switchmodelink'
	 */
	public String switchmodelink_action() {
		try {
			switchToPortletMode(new PortletMode("custom_mode1"));
		} catch (PortletModeException e) {
			throw new FacesException(e);
		}
	    
	    return OUTCOME_OK;
	}

	/**
	 * Getter method for the control with id='switchmodelink'
	 */
	public javax.faces.component.html.HtmlCommandLink getSwitchmodelink()  {
		return (javax.faces.component.html.HtmlCommandLink)findComponentInRoot("switchmodelink");
	}

	/**
	 * Action Event Handler for the control with id='redirect_from_code'
	 */
	public String redirect_from_code_action() {
		gotoPage("/navtests/view2.view", true);
	    return OUTCOME_OK;
	}

	/**
	 * Getter method for the control with id='change_view_from_code'
	 */
	public javax.faces.component.html.HtmlCommandLink getChange_view_from_code()  {
		return (javax.faces.component.html.HtmlCommandLink)findComponentInRoot("change_view_from_code");
	}

	/**
	 * Action Event Handler for the control with id='change_view_from_code'
	 */
	public String change_view_from_code_action() {
		gotoPage("/navtests/view2.view", false);
	    return OUTCOME_OK;
	}
}