<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>

<f:view>
<h:messages showDetail="true"/>

<h:form id="resultForm">

<h:dataTable cellspacing="1" cellpadding="2" width="100%" styleClass="resultTable"
	binding="#{linkPage.commandTableComponent}"
    first="0"
    rows="10"
    value="#{linkPage.commandTable}"
    var="row"
    headerClass="headerRow"
    rowClasses="even, odd">

  <h:column>
    <h:panelGroup>
      <h:commandLink action="#{linkPage.tableCommand}">
      	<f:param name="p3" value="#{row[0]}"/>
        <h:outputText value="#{row[0]}"/>
      </h:commandLink>
      <h:outputText escape="false" value="<BR>"/>
      <h:commandLink action="#{linkPage.tableCommand}">
      	<f:param name="p3" value="#{row[1]}"/>
        <h:outputText value="#{row[1]}"/>
      </h:commandLink>
    </h:panelGroup>
  </h:column>
</h:dataTable>

</h:form>
</f:view>
