/**
 ** Copyright 2006 webMethods, Inc. All Rights Reserved.
 **/
package app;

import app.tree.MSDNLib;
import app.tree.MSDNLibNode;

import com.webmethods.caf.faces.bean.BasePageBean;
import com.webmethods.caf.faces.data.tree.object.LazyNodeTreeContentProvider;

/**
 * JavaTypeTargetInfo@1f43358
 */
public class AsyncTreePage extends BasePageBean {
    protected static MSDNLib msdnlib = new MSDNLib();
    protected LazyNodeTreeContentProvider treeOne = new LazyNodeTreeContentProvider(msdnlib.getRoots());
    protected LazyNodeTreeContentProvider treeTwo = new LazyNodeTreeContentProvider(msdnlib.getRoots());
    protected LazyNodeTreeContentProvider treeThree = new LazyNodeTreeContentProvider(msdnlib.getRoots());
    protected LazyNodeTreeContentProvider cappedTree = new LazyNodeTreeContentProvider(msdnlib.getCappedRoots(3));
    
    public AsyncTreePage() {
        super();
        
        treeTwo.setOpenToDepth(2);
        cappedTree.setOpenToDepth(1);
    }
    
    public LazyNodeTreeContentProvider getTreeOne() {
        return treeOne;
    }
    
    public LazyNodeTreeContentProvider getTreeTwo() {
        return treeTwo;
    }
    
    public LazyNodeTreeContentProvider getTreeThree() {
        return treeThree;
    }
    
    public LazyNodeTreeContentProvider getCappedTree() {
        return cappedTree;
    }
    
    public boolean isCappedDisabled() {
        MSDNLibNode row = (MSDNLibNode) getCappedTree().getCurrentRow();
        if (row == null)
            return false;
        return (row.getTitle().contains("Auto"));
    }

}