package app;

import javax.faces.application.FacesMessage;

public class ClientControlsPageBean extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.caf.faces.data.object.SelectableListTableContentProvider selectableList = null;
	
	private static final String[][] SELECTABLELIST_PROPERTY_BINDINGS = new String[][] {
		{"#{SelectableList.rowVariable}", "list"},
		{"#{SelectableList.rowIdBinding}", "#{list}"},
		{"#{SelectableList.array}", "#{ClientControlsPageBean.list}"},
	};
	
	/**
     * Override this method to release any resources associated with this session.
     * Please note, the FacesContext is not valid for this function 
     */
    protected void release() {
    
    }

	public String[] getList() {
		return new String[] {"String 1", "String 2", "String 3", "String 4", "String 5" };
	}

	public com.webmethods.caf.faces.data.object.SelectableListTableContentProvider getSelectableList()  {
		if (selectableList == null) {
		    selectableList = (com.webmethods.caf.faces.data.object.SelectableListTableContentProvider)resolveExpression("#{SelectableList}");
		}
	
	    resolveDataBinding(SELECTABLELIST_PROPERTY_BINDINGS, selectableList, "selectableList", false, false);
		return selectableList;
	}
	
	/**
	 * Getter method for the control with id='modalDialog'
	 */
	public com.webmethods.caf.faces.component.panel.ModalDialog getModalDialog()  {
		return (com.webmethods.caf.faces.component.panel.ModalDialog)findComponentInRoot("modalDialog");
	}

	/**
	 * Getter method for the control with id='modalDialogButtonLabel'
	 */
	public javax.faces.component.html.HtmlOutputText getModalDialogButtonLabel()  {
		return (javax.faces.component.html.HtmlOutputText)findComponentInRoot("modalDialogButtonLabel");
	}

	/**
	 * Getter method for the control with id='checkboxGroup'
	 */
	public com.webmethods.caf.faces.component.select.html.HtmlSelectMany getCheckboxGroup()  {
		return (com.webmethods.caf.faces.component.select.html.HtmlSelectMany)findComponentInRoot("checkboxGroup");
	}

	/**
	 * Getter method for the control with id='textInput'
	 */
	public javax.faces.component.html.HtmlInputText getTextInput()  {
		return (javax.faces.component.html.HtmlInputText)findComponentInRoot("textInput");
	}

	/**
	 * Getter method for the control with id='disableButton'
	 */
	public com.webmethods.caf.faces.component.output.html.HtmlButton getDisableButton()  {
		return (com.webmethods.caf.faces.component.output.html.HtmlButton)findComponentInRoot("disableButton");
	}

	/**
	 * Getter method for the control with id='hideButton'
	 */
	public com.webmethods.caf.faces.component.output.html.HtmlButton getHideButton()  {
		return (com.webmethods.caf.faces.component.output.html.HtmlButton)findComponentInRoot("hideButton");
	}

	/**
	 * Getter method for the control with id='disableLabel'
	 */
	public javax.faces.component.html.HtmlOutputText getDisableLabel()  {
		return (javax.faces.component.html.HtmlOutputText)findComponentInRoot("disableLabel");
	}

	/**
	 * Getter method for the control with id='hideLabel'
	 */
	public javax.faces.component.html.HtmlOutputText getHideLabel()  {
		return (javax.faces.component.html.HtmlOutputText)findComponentInRoot("hideLabel");
	}

	/**
	 * Getter method for the control with id='hideablePanel'
	 */
	public com.webmethods.caf.faces.component.panel.BaseHideablePanel getHideablePanel()  {
		return (com.webmethods.caf.faces.component.panel.BaseHideablePanel)findComponentInRoot("hideablePanel");
	}

	/**
	 * Getter method for the control with id='submitFormLink'
	 */
	public javax.faces.component.html.HtmlCommandLink getSubmitFormLink()  {
		return (javax.faces.component.html.HtmlCommandLink)findComponentInRoot("submitFormLink");
	}

	/**
	 * Getter method for the control with id='radioGroup'
	 */
	public com.webmethods.caf.faces.component.select.html.HtmlSelectOne getRadioGroup()  {
		return (com.webmethods.caf.faces.component.select.html.HtmlSelectOne)findComponentInRoot("radioGroup");
	}

	/**
	 * Getter method for the control with id='listBox'
	 */
	public com.webmethods.caf.faces.component.select.html.HtmlSelectOne getListBox()  {
		return (com.webmethods.caf.faces.component.select.html.HtmlSelectOne)findComponentInRoot("listBox");
	}

	/**
	 * Getter method for the control with id='listBox2'
	 */
	public com.webmethods.caf.faces.component.select.html.HtmlSelectOne getListBox2()  {
		return (com.webmethods.caf.faces.component.select.html.HtmlSelectOne)findComponentInRoot("listBox2");
	}

	/**
	 * Getter method for the control with id='panel1'
	 */
	public com.webmethods.caf.faces.component.panel.BaseHideablePanel getPanel1()  {
		return (com.webmethods.caf.faces.component.panel.BaseHideablePanel)findComponentInRoot("panel1");
	}

	/**
	 * Getter method for the control with id='panel2'
	 */
	public com.webmethods.caf.faces.component.panel.BaseHideablePanel getPanel2()  {
		return (com.webmethods.caf.faces.component.panel.BaseHideablePanel)findComponentInRoot("panel2");
	}

	/**
	 * Getter method for the control with id='tabs'
	 */
	public com.webmethods.caf.faces.component.toggle.html.HtmlToggleTabs getTabs()  {
		return (com.webmethods.caf.faces.component.toggle.html.HtmlToggleTabs)findComponentInRoot("tabs");
	}

	/**
	 * Getter method for the control with id='selectTabs'
	 */
	public com.webmethods.caf.faces.component.select.html.HtmlSelectOne getSelectTabs()  {
		return (com.webmethods.caf.faces.component.select.html.HtmlSelectOne)findComponentInRoot("selectTabs");
	}
    
    public void boughs() {
        String summary = getColor();
        String detail = "You dropped the ball with the color " + getColor();
        getFacesContext().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, summary, detail));
    }
    
    protected String color;

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
}