package app.tree.cow;

import java.util.Date;

public class Order {
    protected String m_orderId;
    protected Date m_orderDate;
    protected float m_orderPrice;
    protected Widget[] m_widgets;
    
    public Order() {
        //
    }
    
    public Order(String id, Date date, float price) {
        this();
        setOrderId(id);
        setOrderDate(date);
        setOrderPrice(price);
    }
    
    public Order(String id, Date date, float price, Widget[] widgets) {
        this(id, date, price);
        setWidgets(widgets);
    }
    
    public Date getOrderDate() {
        return m_orderDate;
    }
    public void setOrderDate(Date orderDate) {
        m_orderDate = orderDate;
    }
    public String getOrderId() {
        return m_orderId;
    }
    public void setOrderId(String orderId) {
        m_orderId = orderId;
    }
    public float getOrderPrice() {
        return m_orderPrice;
    }
    public void setOrderPrice(float orderPrice) {
        m_orderPrice = orderPrice;
    }
    public Widget[] getWidgets() {
        return m_widgets;
    }
    public void setWidgets(Widget[] widgets) {
        m_widgets = widgets;
    }
}
