package com.webmethods.caf;


public class ViewDatabaseComplexView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider orders = null;
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider orderDetails = null;
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider products = null;
	private static final String[][] PRODUCTS_PROPERTY_BINDINGS = new String[][] {
		{"#{Products.autoRefresh}", "true"},
	};
	private com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider productsProvider = null;
	private static final String[][] PRODUCTSPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{productsProvider.rowVariable}", "product"},
		{"#{productsProvider.valueBinding}", "#{product.ProductID}"},
		{"#{productsProvider.labelBinding}", "#{product.ProductName}"},
		{"#{productsProvider.table}", "#{ViewDatabaseComplexView.products}"},
	};
	private static final String[][] COMMITCHANGES_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewDatabaseComplexView.orders.applyChanges}", null},
		{"#{ViewDatabaseComplexView.orderDetails.applyChanges}", null},
	};
	private static final String[][] INITLINEITEM_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewDatabaseComplexView.orderDetails.OrderID}", "#{ViewDatabaseComplexView.orders.OrderID}"},
		{"#{ViewDatabaseComplexView.orderDetails.ProductID}", "1"},
		{"#{ViewDatabaseComplexView.setLineItemUnitPrice}", null},
		{"#{ViewDatabaseComplexView.orderDetails.Quantity}", "1"},
		{"#{ViewDatabaseComplexView.orderDetails.Discount}", "0.00"},
	};
	private com.webmethods.caf.faces.data.error.DbClientErrorHandler errorHandler = null;
	private static final String[][] ERRORHANDLER_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler.action}", "report error details"},
	};
	private static final String[][] ORDERDETAILS_PROPERTY_BINDINGS = new String[][] {
		{"#{orderDetails.autoRefresh}", "false"},
		{"#{orderDetails.parameters[\"0\"]}", "#{ViewDatabaseComplexView.orders.OrderID}"},
		{"#{orderDetails.onCreateRow}", "#{ViewDatabaseComplexView.initLineItem}"},
		{"#{orderDetails.errorHandler}", "#{ViewDatabaseComplexView.errorHandler}"},
	};
	private static final String[][] ORDERS_PROPERTY_BINDINGS = new String[][] {
		{"#{orders.autoRefresh}", "true"},
		{"#{orders.errorHandler}", "#{ViewDatabaseComplexView.errorHandler}"},
		{"#{orders.maxResult}", "100"},
	};
	private static final String[][] SETLINEITEMUNITPRICE_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewDatabaseComplexView.products.rowId}", "#{ViewDatabaseComplexView.orderDetails.ProductID}"},
		{"#{ViewDatabaseComplexView.orderDetails.UnitPrice}", "#{ViewDatabaseComplexView.products.UnitPrice}"},
		{"#{ViewDatabaseComplexView.orderDetails.ProductName}", "#{ViewDatabaseComplexView.products.ProductName}"},
	};
	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrders()  {
		if (orders == null) {
		    orders = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{Orders}");
		}
	
	    resolveDataBinding(ORDERS_PROPERTY_BINDINGS, orders, "orders", false, false);
		return orders;
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrderDetails()  {
		if (orderDetails == null) {
		    orderDetails = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{OrderDetails}");
		}
	
	    resolveDataBinding(ORDERDETAILS_PROPERTY_BINDINGS, orderDetails, "orderDetails", false, false);
		return orderDetails;
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getProducts()  {
		if (products == null) {
		    products = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{Products}");
		}
	
	    resolveDataBinding(PRODUCTS_PROPERTY_BINDINGS, products, "products", false, false);
		return products;
	}

	public com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider getProductsProvider()  {
		if (productsProvider == null) {
		    productsProvider = (com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider)resolveExpression("#{ProductsProvider}");
		}
	
	    resolveDataBinding(PRODUCTSPROVIDER_PROPERTY_BINDINGS, productsProvider, "productsProvider", false, false);
		return productsProvider;
	}

	public String commitChanges() {
	    resolveDataBinding(COMMITCHANGES_PROPERTY_BINDINGS, this, "commitChanges.this", true, false);
		return OUTCOME_OK;
	}

	public String initLineItem() {
	    resolveDataBinding(INITLINEITEM_PROPERTY_BINDINGS, this, "initLineItem.this", true, false);
		return OUTCOME_OK;
	}

	public com.webmethods.caf.faces.data.error.DbClientErrorHandler getErrorHandler()  {
		if (errorHandler == null) {
			errorHandler = new com.webmethods.caf.faces.data.error.DbClientErrorHandler();
		}
	
	    resolveDataBinding(ERRORHANDLER_PROPERTY_BINDINGS, errorHandler, "errorHandler", false, false);
		return errorHandler;
	}

	public String setLineItemUnitPrice() {
	    resolveDataBinding(SETLINEITEMUNITPRICE_PROPERTY_BINDINGS, this, "setLineItemUnitPrice.this", true, false);
		return OUTCOME_OK;
	}
	
}