package com.webmethods.caf;


public class ViewDatabaseReadView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider simpleOrders = null;
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider joinedOrders = null;
	private static final String[][] JOINEDORDERS_PROPERTY_BINDINGS = new String[][] {
		{"#{joinedOrders.autoRefresh}", "true"},
	};
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider countryOrders = null;
	private static final String[][] COUNTRYORDERS_PROPERTY_BINDINGS = new String[][] {
		{"#{countryOrders.autoRefresh}", "true"},
		{"#{countryOrders.parameters[\"1\"]}", "0"},
		{"#{countryOrders.parameters[\"0\"]}", "USA"},
	};
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider orderCountries = null;
	private static final String[][] ORDERCOUNTRIES_PROPERTY_BINDINGS = new String[][] {
		{"#{orderCountries.parameters[\"0\"]}", "1"},
	};
	private static final String[][] SIMPLEORDERS_PROPERTY_BINDINGS = new String[][] {
		{"#{simpleOrders.autoRefresh}", "true"},
	};
	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getSimpleOrders()  {
		if (simpleOrders == null) {
		    simpleOrders = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{SimpleOrders}");
		}
	
	    resolveDataBinding(SIMPLEORDERS_PROPERTY_BINDINGS, simpleOrders, "simpleOrders", false, false);
		return simpleOrders;
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getJoinedOrders()  {
		if (joinedOrders == null) {
		    joinedOrders = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{JoinedOrders}");
		}
	
	    resolveDataBinding(JOINEDORDERS_PROPERTY_BINDINGS, joinedOrders, "joinedOrders", false, false);
		return joinedOrders;
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getCountryOrders()  {
		if (countryOrders == null) {
		    countryOrders = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{CountryOrders}");
		}
	
	    resolveDataBinding(COUNTRYORDERS_PROPERTY_BINDINGS, countryOrders, "countryOrders", false, false);
		return countryOrders;
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrderCountries()  {
		if (orderCountries == null) {
		    orderCountries = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{OrderCountries}");
		}
	
	    resolveDataBinding(ORDERCOUNTRIES_PROPERTY_BINDINGS, orderCountries, "orderCountries", false, false);
		return orderCountries;
	}
	
}