package com.webmethods.caf;


public class ViewDatabaseUpdateView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider shippers = null;
	private static final String[][] SHIPPERS_PROPERTY_BINDINGS = new String[][] {
		{"#{shippers.autoRefresh}", "true"},
	};
	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getShippers()  {
		if (shippers == null) {
		    shippers = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{Shippers}");
		}
	
	    resolveDataBinding(SHIPPERS_PROPERTY_BINDINGS, shippers, "shippers", false, false);
		return shippers;
	}
	
}