package com.webmethods.caf;


public class ViewErrorHandlingErrorReportView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}
	
	private com.webmethods.caf.faces.data.error.BaseErrorHandler errorHandler_errorpage = null;
	private static final String[][] ERRORHANDLER_ERRORPAGE_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler_errorpage.action}", "redirect to error page"},
		{"#{errorHandler_errorpage.errorPage}", "ErrorReport.view"},
	};
	
	public com.webmethods.caf.faces.data.error.BaseErrorHandler getErrorHandler_errorpage()  {
		if (errorHandler_errorpage == null) {
		    errorHandler_errorpage = (com.webmethods.caf.faces.data.error.BaseErrorHandler)resolveExpression("#{ErrorHandler_errorpage}");
		}
	
	    resolveDataBinding(ERRORHANDLER_ERRORPAGE_PROPERTY_BINDINGS, errorHandler_errorpage, "errorHandler_errorpage", false, false);
		return errorHandler_errorpage;
	}
	
	
}