package com.webmethods.caf;

import com.webmethods.caf.faces.data.object.SelectableListTableContentProvider;
import com.webmethods.service.SampleData;


public class ViewTableModifiableView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private SampleData sampleDataBean = null;
	private static final String[][] SAMPLEDATABEAN_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.caf.faces.data.object.SelectableListTableContentProvider modifiableProvider = null;
	private static final String[][] APPLYCHANGES_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewTableModifiableView.sampleDataBean.itemArray}", "#{ViewTableModifiableView.modifiableProvider.array}"},
	};
	private int rowIdGenerator;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewTableModifiableView.modifiableProvider.array}", "#{ViewTableModifiableView.sampleDataBean.itemArray}"},
		{"#{ViewTableModifiableView.rowIdGenerator}", "1000"},
	};
	private static final String[][] INITIALIZEROW_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewTableModifiableView.rowIdGenerator}", "#{ViewTableModifiableView.rowIdGenerator + 1}"},
		{"#{ViewTableModifiableView.modifiableProvider.id}", "#{ViewTableModifiableView.rowIdGenerator}"},
	};
	private static final String[][] MODIFIABLEPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{modifiableProvider.rowType}", "com.webmethods.service.SampleItem"},
		{"#{modifiableProvider.rowVariable}", "itemArray"},
		{"#{modifiableProvider.rowIdBinding}", "#{itemArray.id}"},
		{"#{modifiableProvider.onCreateRow}", "#{ViewTableModifiableView.initializeRow}"},
		{"#{modifiableProvider.onDeleteRow}", "#{ViewTableModifiableView.rowDeleted}"},
	};
	public SampleData getSampleDataBean()  {
		if (sampleDataBean == null) {
		    sampleDataBean = (SampleData)resolveExpression("#{SampleDataBean}");
		}
	
	    resolveDataBinding(SAMPLEDATABEAN_PROPERTY_BINDINGS, sampleDataBean, "sampleDataBean", false, false);
		return sampleDataBean;
	}

	public SelectableListTableContentProvider getModifiableProvider()  {
		if (modifiableProvider == null) {
		    modifiableProvider = (SelectableListTableContentProvider)resolveExpression("#{ModifiableProvider}");
		}
	
	    resolveDataBinding(MODIFIABLEPROVIDER_PROPERTY_BINDINGS, modifiableProvider, "modifiableProvider", false, false);
		return modifiableProvider;
	}

	public String applyChanges() {
	    resolveDataBinding(APPLYCHANGES_PROPERTY_BINDINGS, this, "applyChanges.this", true, false);
		return OUTCOME_OK;
	}

	public int getRowIdGenerator()  {
		
		return rowIdGenerator;
	}

	public void setRowIdGenerator(int rowIdGenerator)  {
		this.rowIdGenerator = rowIdGenerator;
	}

	public String initialize() {
	    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, this, "initialize.this", true, false);
		return OUTCOME_OK;
	}

	public String initializeRow() {
	    resolveDataBinding(INITIALIZEROW_PROPERTY_BINDINGS, this, "initializeRow.this", true, false);
		return OUTCOME_OK;
	}

	public String rowDeleted() {

		return OUTCOME_OK;
	}
	
}