package com.webmethods.caf.wsclient.samplewebservice;


import com.webmethods.caf.faces.data.ws.glue.GlueWSClientContentProvider;

/**
 * Glue Web Service Client bean generated for 
 * com.webmethods.caf.wsclient.samplewebservice.ISampleWebService.initializeData.
 */
public class InitializeData extends GlueWSClientContentProvider {

	private static final long serialVersionUID = 6680066913609419776L;

	/**
	 * Default constructor
	 */
	public InitializeData() {
		super(com.webmethods.caf.wsclient.samplewebservice.ISampleWebService.class, // port type proxy class
			"initializeData", // method to invoke
			new String[] { "count",  "itemName",  "itemDescription",  "generateChildren", }, // method parameter names
			new Class[] { int.class,  java.lang.String.class,  java.lang.String.class,  boolean.class, } // method parameter types
		);
		// wsdl and maps by are saved in the same package
		setWsdlUrl("classpath:SampleWebService.wsdl");
		setMapUrls(new String[] { "classpath:SampleWebServiceService.map", });

		// init wsclient
		initParams();
		
		// parameters bean
		parameters = new Parameters();
		
	}
	
	
	/**
	 * Method parameters bean
	 */
	public class Parameters  implements java.io.Serializable {

		private static final long serialVersionUID = 3939417197862847488L;

		public Parameters() {
		}
	
		private int count ;

		public int getCount() {
			return count;
		}

		public void setCount(int count) {
			this.count = count;
		} 	
	
		private java.lang.String itemName ;

		public java.lang.String getItemName() {
			return itemName;
		}

		public void setItemName(java.lang.String itemName) {
			this.itemName = itemName;
		} 	
	
		private java.lang.String itemDescription ;

		public java.lang.String getItemDescription() {
			return itemDescription;
		}

		public void setItemDescription(java.lang.String itemDescription) {
			this.itemDescription = itemDescription;
		} 	
	
		private boolean generateChildren ;

		public boolean getGenerateChildren() {
			return generateChildren;
		}

		public void setGenerateChildren(boolean generateChildren) {
			this.generateChildren = generateChildren;
		} 	
		
	}
	
	
	
	/**
	 * Return method invocation parameters bean
	 */
	public Parameters getParameters() {
		return (Parameters)parameters;
	}	
	


	

		
}