/**
 * 
 */
package com.webmethods.service;

import java.io.Serializable;

public class SampleItem implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private int id;
	private String name;
	private String description;
	private SampleItem[] children; 
	
	public SampleItem() {
		super();
	}

	public SampleItem(int id, String name, String description) {
		super();
		this.id = id;
		this.name = name;
		this.description = description;
	}
	
	public String getDescription() {
		return description;
	}
	
	public void setDescription(String description) {
		this.description = description;
	}
	
	public int getId() {
		return id;
	}
	
	public void setId(int id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}

	public SampleItem[] getChildren() {
		return children;
	}

	public void setChildren(SampleItem[] children) {
		this.children = children;
	}

	public String toString() {
		return "id: " + id;
	}
	
}