/**
 * 
 */
package com.webmethods.portlet.multiple_portlets;

/**
 * @author oleksiyo
 *
 */

import javax.portlet.PortletPreferences;

public class Multiple_portletsBean extends com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.portlet.Wm_portlet_linksBean Wm_portlet_linksBean = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"portlet_id", "textValue", "listboxValue"
	};
	/**
	 * Create new preferences bean with list of preference names
	 */
	public Multiple_portletsBean() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.portlet.Wm_portlet_linksBean getWm_portlet_linksBean()  {
		if (Wm_portlet_linksBean == null) {
		    Wm_portlet_linksBean = (com.webmethods.portlet.Wm_portlet_linksBean)resolveExpression("#{Wm_portlet_linksBean}");
		}
		return Wm_portlet_linksBean;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getPortlet_id() throws Exception {
		return (String) getPreferenceValue("portlet_id", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setPortlet_id(String portlet_id) throws Exception {
		setPreferenceValue("portlet_id", portlet_id);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getTextValue() throws Exception {
		return (String) getPreferenceValue("textValue", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setTextValue(String textValue) throws Exception {
		setPreferenceValue("textValue", textValue);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String[] getListboxValue() throws Exception {
		return (String[]) getPreferenceValue("listboxValue", String[].class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setListboxValue(String[] listboxValue) throws Exception {
		setPreferenceValue("listboxValue", listboxValue);
	}
}