/**
 * 
 */
package com.webmethods.portlet.order_results;

import java.util.ArrayList;
import java.util.List;

import com.webmethods.portlet.Order;
import com.webmethods.rtl.util.Debug;

/**
 * @author oleksiyo
 *
 */
public class Order_resultsViewPage extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.portlet.order_results.Order_resultsBean Order_resultsBean = null;
	private Order[] orders = null;

	public com.webmethods.portlet.order_results.Order_resultsBean getOrder_resultsBean()  {
		if (Order_resultsBean == null) {
		    Order_resultsBean = (com.webmethods.portlet.order_results.Order_resultsBean)resolveExpression("#{Order_resultsBean}");
		}
		return Order_resultsBean;
	}
	
	public Order[] getOrders() throws Exception {
		if (orders == null) {
			refresh();
		}
		
		return orders;
	}
	
	public void refresh() throws Exception {
		Debug.info(">>>>>>>>>>>>> Refreshing: " + getOrder_resultsBean().getQuery());
		String query = getOrder_resultsBean().getQuery();
		if (query == null) {
			return;
		}
		
		Order[] allOrders = getOrder_resultsBean().getWm_portlet_linksBean().getOrders();
		List searched = new ArrayList();
		for (int i = 0; i < allOrders.length; i++) {
			if (allOrders[i].getCustomerID().indexOf(query) >= 0 || allOrders[i].getCustomerName().indexOf(query) >= 0) {
				searched.add(allOrders[i]);
			}
		}
		
		orders = (Order[]) searched.toArray(new Order[] {});
	}

	/**
	 * Getter method for the control with id='ordersTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getOrdersTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("ordersTable");
	}
}