/**
 * 
 */
package com.webmethods.portlet.order_search;

import com.webmethods.caf.portlet.IPortletURL;

/**
 * @author oleksiyo
 *
 */
public class Order_searchViewPage extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.portlet.order_search.Order_searchBean Order_searchBean = null;

	public com.webmethods.portlet.order_search.Order_searchBean getOrder_searchBean()  {
		if (Order_searchBean == null) {
		    Order_searchBean = (com.webmethods.portlet.order_search.Order_searchBean)resolveExpression("#{Order_searchBean}");
		}
		return Order_searchBean;
	}

	/**
	 * Getter method for the control with id='queryText'
	 */
	public javax.faces.component.html.HtmlInputText getQueryText()  {
		return (javax.faces.component.html.HtmlInputText)findComponentInRoot("queryText");
	}
	
	public void search() throws Exception {
		// Construct portlet url to invoke refresh action on the Results portlet
		
		// This is action type URL
		IPortletURL refreshUrl = createActionUrl();
		
		// Clear state before addressing another portlet
		refreshUrl.clearParameters();
		refreshUrl.clearState();
		
		// set result portlet alias
		refreshUrl.setPortlet(getOrder_searchBean().getOrder_results_portlet());
		// set query parameter
		refreshUrl.setParameter("query", getOrder_searchBean().getQuery());
		// set to invoke an action to refresh() results
		refreshUrl.setTargetAction("#{order_resultsViewPage.refresh}");
		
		// redirect to this url
		getFacesContext().getExternalContext().redirect(refreshUrl.toString());
	}

	/**
	 * Getter method for the control with id='refreshUrl'
	 */
	public com.webmethods.caf.faces.component.portleturl.ExtendedPortletUrl getRefreshUrl()  {
		return (com.webmethods.caf.faces.component.portleturl.ExtendedPortletUrl)findComponentInRoot("refreshUrl");
	}
}