/**
 * 
 */
package com.webmethods.portlet.table;

/**
 * @author oleksiyo
 *
 */
public class TableViewPageBean extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.portlet.table.TableBean TableBean = null;
	
	public static final Entry[] ENTRIES = new Entry[] {
		new Entry("1", "One", "Entry number One details"),
		new Entry("2", "Two", "Entry number Two details"),
		new Entry("3", "Thee", "Entry number Three details"),
		new Entry("4", "Four", "Entry number Four details"),
	};

	public com.webmethods.portlet.table.TableBean getTableBean()  {
		if (TableBean == null) {
		    TableBean = (com.webmethods.portlet.table.TableBean)resolveExpression("#{TableBean}");
		}
		return TableBean;
	}
	
	public Entry[] getEntries() {
		return ENTRIES;
    }
    
    public Entry getCurrentEntry() throws Exception {
    	String entryID = getTableBean().getEntryID();
    	if (entryID == null) {
    		return null;
    	}
    	
    	// find entry by ID
    	Entry[] entries = getEntries();
    	for (int i = 0; i < entries.length; i++) {
    		if (entryID.equals(entries[i].getId())) {
    			return entries[i];
    		}
    	}
    	
    	return null;
    }

	/**
	 * Getter method for the control with id='entriesTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getEntriesTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("entriesTable");
	}
    
}