/**
 * 
 */
package com.webmethods.caf.salesinformationchart;

/**
 * @author Vinay Kortikere
 *
 */

import javax.portlet.PortletPreferences;

public class SalesInformationChart extends
		com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	public static final String[] PREFERENCES_NAMES = new String[] {};
	private com.webmethods.caf.Wm_saleschart_sample wm_saleschart_sample = null;

	/**
	 * Create new preferences bean with list of preference names
	 */
	public SalesInformationChart() {
		super(PREFERENCES_NAMES);
	}

	/**
	 * Call this method in order to persist Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.caf.Wm_saleschart_sample getWm_saleschart_sample() {
		if (wm_saleschart_sample == null) {
			wm_saleschart_sample = (com.webmethods.caf.Wm_saleschart_sample) resolveExpression("#{Wm_saleschart_sample}");
		}
		return wm_saleschart_sample;
	}

	private java.lang.String gridColor;
	private java.lang.String bgColor;
	private java.lang.String chartHeight;
	private java.lang.String chartWidth;
	private java.lang.String chartType;
	private java.lang.String chartSeries;
	private java.lang.Boolean showLegend;
	private java.lang.String numberOfGridLines;
	private java.lang.String chartPadding;
	private java.lang.String gridStyle;
	private java.lang.String legendLocation;
	private java.lang.String barWidth;
	private java.lang.String barPadding;
	private java.lang.String color2001;
	private java.lang.String color2002;
	private java.lang.String color2003;
	private java.lang.String color2004;
	private java.lang.String color2005;
	private java.lang.String toolTip2001;
	private java.lang.String toolTip2002;
	private java.lang.String toolTip2003;
	private java.lang.String toolTip2004;
	private java.lang.String toolTip2005;

	public java.lang.String getGridColor() {
		if (gridColor == null) {
			gridColor = "#000000";
		}
		return gridColor;
	}

	public void setGridColor(java.lang.String gridColor) {
		this.gridColor = gridColor;
	}

	public java.lang.String getBgColor() {
		if (bgColor == null) {
			bgColor = "#FFFFFF";
		}
		return bgColor;
	}

	public void setBgColor(java.lang.String bgColor) {
		this.bgColor = bgColor;
	}

	public java.lang.String getChartHeight() {
		if (chartHeight == null) {
			chartHeight = "200";
		}
		return chartHeight;
	}

	public void setChartHeight(java.lang.String chartHeight) {
		this.chartHeight = chartHeight;
	}

	public java.lang.String getChartWidth() {
		if (chartWidth == null) {
			chartWidth = "200";
		}
		return chartWidth;
	}

	public void setChartWidth(java.lang.String chartWidth) {
		this.chartWidth = chartWidth;
	}

	public java.lang.String getChartType() {
		if (chartType == null) {
			chartType = "bar";
		}
		return chartType;
	}

	public void setChartType(java.lang.String chartType) {
		this.chartType = chartType;
	}

	public java.lang.String getChartSeries() {
		if (chartSeries == null) {
			chartSeries = "row";
		}
		return chartSeries;
	}

	public void setChartSeries(java.lang.String chartSeries) {
		this.chartSeries = chartSeries;
	}

	public java.lang.Boolean getShowLegend() {
		if (showLegend == null) {
			showLegend = true;
		}
		return showLegend;
	}

	public void setShowLegend(java.lang.Boolean showLegend) {
		this.showLegend = showLegend;
	}

	public java.lang.String getNumberOfGridLines() {
		if (numberOfGridLines == null) {
			numberOfGridLines = "10";
		}
		return numberOfGridLines;
	}

	public void setNumberOfGridLines(java.lang.String numberOfGridLines) {
		this.numberOfGridLines = numberOfGridLines;
	}

	public java.lang.String getChartPadding() {
		if (chartPadding == null) {
			chartPadding = "15";
		}
		return chartPadding;
	}

	public void setChartPadding(java.lang.String chartPadding) {
		this.chartPadding = chartPadding;
	}

	public java.lang.String getGridStyle() {

		return gridStyle;
	}

	public void setGridStyle(java.lang.String gridStyle) {
		this.gridStyle = gridStyle;
	}

	public java.lang.String getLegendLocation() {

		return legendLocation;
	}

	public void setLegendLocation(java.lang.String legendLocation) {
		this.legendLocation = legendLocation;
	}

	public java.lang.String getBarWidth() {
		if (barWidth == null) {
			barWidth = "15";
		}
		return barWidth;
	}

	public void setBarWidth(java.lang.String barWidth) {
		this.barWidth = barWidth;
	}

	public java.lang.String getBarPadding() {
		if (barPadding == null) {
			barPadding = "25";
		}
		return barPadding;
	}

	public void setBarPadding(java.lang.String barPadding) {
		this.barPadding = barPadding;
	}

	public java.lang.String getColor2001() {
		if (color2001 == null) {
			color2001 = getColor(1, 5);
		}
		return color2001;
	}

	public void setColor2001(java.lang.String color2001) {
		this.color2001 = color2001;
	}

	public java.lang.String getColor2002() {
		if (color2002 == null) {
			color2002 = getColor(2, 5);
		}
		return color2002;
	}

	public void setColor2002(java.lang.String color2002) {
		this.color2002 = color2002;
	}

	public java.lang.String getColor2003() {
		if (color2003 == null) {
			color2003 = getColor(3, 5);
		}
		return color2003;
	}

	public void setColor2003(java.lang.String color2003) {
		this.color2003 = color2003;
	}

	public java.lang.String getColor2004() {
		if (color2004 == null) {
			color2004 = getColor(4, 5);
		}
		return color2004;
	}

	public void setColor2004(java.lang.String color2004) {
		this.color2004 = color2004;
	}

	public java.lang.String getColor2005() {
		if (color2005 == null) {
			color2005 = getColor(5, 5);
		}
		return color2005;
	}

	public void setColor2005(java.lang.String color2005) {
		this.color2005 = color2005;
	}

	public java.lang.String getToolTip2001() {
		if (toolTip2001 == null) {
			toolTip2001 = "Sales Info for 2001 for #{salesInformation.hardwareName} is #{salesInformation.sales2001}";
		}
		return (String) resolveExpression(toolTip2001);
	}

	public void setToolTip2001(java.lang.String toolTip2001) {
		this.toolTip2001 = toolTip2001;
	}

	public java.lang.String getToolTip2002() {
		if (toolTip2002 == null) {
			toolTip2002 = "Sales Info for 2002 for #{salesInformation.hardwareName} is #{salesInformation.sales2002}";
		}
		return (String) resolveExpression(toolTip2002);
	}

	public void setToolTip2002(java.lang.String toolTip2002) {
		this.toolTip2002 = toolTip2002;
	}

	public java.lang.String getToolTip2003() {
		if (toolTip2003 == null) {
			toolTip2003 = "Sales Info for 2003 for #{salesInformation.hardwareName} is #{salesInformation.sales2003}";
		}
		return (String) resolveExpression(toolTip2003);
	}

	public void setToolTip2003(java.lang.String toolTip2003) {
		this.toolTip2003 = toolTip2003;
	}

	public java.lang.String getToolTip2004() {
		if (toolTip2004 == null) {
			toolTip2004 = "Sales Info for 2004 for #{salesInformation.hardwareName} is #{salesInformation.sales2004}";
		}
		return (String) resolveExpression(toolTip2004);
	}

	public void setToolTip2004(java.lang.String toolTip2004) {
		this.toolTip2004 = toolTip2004;
	}

	public java.lang.String getToolTip2005() {
		if (toolTip2005 == null) {
			toolTip2005 = "Sales Info for 2005 for #{salesInformation.hardwareName} is #{salesInformation.sales2005}";
		}
		return (String) resolveExpression(toolTip2005);
	}

	public void setToolTip2005(java.lang.String toolTip2005) {
		this.toolTip2005 = toolTip2005;
	}

	private String getColor(double i, double totalSteps) {
		double frequency = Math.PI * 2 / totalSteps;
		double center, amplitude;
		center = 190;
		amplitude = 60;
		StringBuffer rgb = new StringBuffer("#");
		rgb.append(Long.toHexString(Math.round(Math.sin(frequency * i + 0)
				* amplitude + center)));
		rgb.append(Long.toHexString(Math.round(Math.sin(frequency * i + 2)
				* amplitude + center)));
		rgb.append(Long.toHexString(Math.round(Math.sin(frequency * i + 4)
				* amplitude + center)));
		return rgb.toString();
	}
}
