/**
 * 
 */
package com.webmethods.caf.salesinformationchart;

import java.util.Random;

import com.webmethods.caf.faces.data.object.ListTableContentProvider;
import com.webmethods.caf.sample.SalesInfo;

/**
 * @author Vinay Kortikere
 * 
 */

public class SalesInformationChartDefaultviewView extends
		com.webmethods.caf.faces.bean.BasePageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 * 
	 * Maintainers must change this value if and only if the new version of this
	 * class is not compatible with old versions. See Sun docs for <a
	 * href=http:/
	 * /java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html>
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {};
	private com.webmethods.caf.salesinformationchart.SalesInformationChart salesInformationChart = null;
	private java.util.ArrayList<com.webmethods.caf.sample.SalesInfo> salesInformation = null;
	private static final String[][] SALESINFORMATION_PROPERTY_BINDINGS = new String[][] {};
	private String[] hardwareNames = {"Hard Disk", "Monitor", "CD-ROM",
			"Keyboard", "Mouse" };
	private com.webmethods.caf.faces.data.object.ListTableContentProvider salesInformationProvider = null;
	private static final String[][] SALESINFORMATIONPROVIDER_PROPERTY_BINDINGS = new String[][] {
			{"#{SalesInformationProvider.rowType}",
					"com.webmethods.caf.sample.SalesInfo" },
			{"#{SalesInformationProvider.rowVariable}", "salesInformation" },
			{"#{SalesInformationProvider.list}",
					"#{SalesInformationChartDefaultviewView.salesInformation}" }, };

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
			resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null,
					"initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR;
		}
	}

	public com.webmethods.caf.salesinformationchart.SalesInformationChart getSalesInformationChart() {
		if (salesInformationChart == null) {
			salesInformationChart = (com.webmethods.caf.salesinformationchart.SalesInformationChart) resolveExpression("#{SalesInformationChart}");
		}
		return salesInformationChart;
	}

	public java.util.ArrayList<com.webmethods.caf.sample.SalesInfo> getSalesInformation() {
		if (salesInformation == null) {
			salesInformation = new java.util.ArrayList<com.webmethods.caf.sample.SalesInfo>();
			for (int i = 0; i < hardwareNames.length; i++) {
				salesInformation.add(getSalesInfo(hardwareNames[i]));
			}
		}

		resolveDataBinding(SALESINFORMATION_PROPERTY_BINDINGS,
				salesInformation, "salesInformation", false, false);
		return salesInformation;
	}

	private SalesInfo getSalesInfo(String hardwareName) {
		SalesInfo s = new SalesInfo();
		Random r = new Random();
		s.setHardwareName(hardwareName);
		s.setSales2001(r.nextInt(100));
		s.setSales2002(r.nextInt(100));
		s.setSales2003(r.nextInt(100));
		s.setSales2004(r.nextInt(100));
		s.setSales2005(r.nextInt(100));
		return s;
	}

	public com.webmethods.caf.faces.data.object.ListTableContentProvider getSalesInformationProvider() {
		if (salesInformationProvider == null) {
			salesInformationProvider = (ListTableContentProvider) resolveExpression("#{SalesInformationProvider}");
		}

		resolveDataBinding(SALESINFORMATIONPROVIDER_PROPERTY_BINDINGS,
				salesInformationProvider, "salesInformationProvider", false,
				false);
		return salesInformationProvider;
	}
}
