package com.webmethods.portlet.customerinformation;

import javax.portlet.PortletMode;

public class CustomerInformationEditPage extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.portlet.customerinformation.CustomerInformationBean CustomerInformationBean = null;
	private com.webmethods.wsclient.updatecustomerbean.UpdateCustomerBean updateCustomerBean = null;
	private com.webmethods.wsclient.getcustomerinfobean.GetCustomerInfoBean getCustomerInfoBean = null;
	private static final String[][] UPDATECUSTOMERBEAN_PROPERTY_BINDINGS = new String[][] {
		{"#{UpdateCustomerBean.authCredentials.password}", "manage"},
		{"#{UpdateCustomerBean.authCredentials.userName}", "Administrator"},
		{"#{UpdateCustomerBean.parameters.phone}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.phone}"},
		{"#{UpdateCustomerBean.parameters.postalCode}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.postalCode}"},
		{"#{UpdateCustomerBean.parameters.contactName}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.contactName}"},
		{"#{UpdateCustomerBean.parameters.contactTitle}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.contactTitle}"},
		{"#{UpdateCustomerBean.parameters.country}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.country}"},
		{"#{UpdateCustomerBean.parameters.region}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.region}"},
		{"#{UpdateCustomerBean.parameters.address}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.address}"},
		{"#{UpdateCustomerBean.parameters.fax}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.fax}"},
		{"#{UpdateCustomerBean.parameters.companyName}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.companyName}"},
		{"#{UpdateCustomerBean.parameters.city}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.city}"},
		{"#{UpdateCustomerBean.parameters.customerID}", "#{CustomerInformationEditPage.getCustomerInfoBean.result.customerID}"},
	};

	private static final String[][] GETCUSTOMERINFOBEAN_PROPERTY_BINDINGS = new String[][] {
		{"#{GetCustomerInfoBean.autoRefresh}", "true"},
		{"#{GetCustomerInfoBean.authCredentials.password}", "manage"},
		{"#{GetCustomerInfoBean.authCredentials.userName}", "Administrator"},
		{"#{GetCustomerInfoBean.parameters.customerID}", "#{CustomerInformationBean.customerID}"},
	};
	
	public com.webmethods.portlet.customerinformation.CustomerInformationBean getCustomerInformationBean()  {
		if (CustomerInformationBean == null) {
		    CustomerInformationBean = (com.webmethods.portlet.customerinformation.CustomerInformationBean)resolveExpression("#{CustomerInformationBean}");
		}
		return CustomerInformationBean;
	}

	public com.webmethods.wsclient.updatecustomerbean.UpdateCustomerBean getUpdateCustomerBean()  {
		if (updateCustomerBean == null) {
		    updateCustomerBean = (com.webmethods.wsclient.updatecustomerbean.UpdateCustomerBean)resolveExpression("#{UpdateCustomerBean}");
		}
	
	    resolveDataBinding(UPDATECUSTOMERBEAN_PROPERTY_BINDINGS, updateCustomerBean, null);
		return updateCustomerBean;
	}

	public com.webmethods.wsclient.getcustomerinfobean.GetCustomerInfoBean getGetCustomerInfoBean()  {
		if (getCustomerInfoBean == null) {
		    getCustomerInfoBean = (com.webmethods.wsclient.getcustomerinfobean.GetCustomerInfoBean)resolveExpression("#{GetCustomerInfoBean}");
		}
		
	    resolveDataBinding(GETCUSTOMERINFOBEAN_PROPERTY_BINDINGS, getCustomerInfoBean, null);
		return getCustomerInfoBean;
	}

	/**
	 * Getter method for the control with id='submitBtn'
	 */
	public javax.faces.component.html.HtmlCommandButton getSubmitBtn()  {
		return (javax.faces.component.html.HtmlCommandButton)findComponentInRoot("submitBtn");
	}

	/**
	 * Action Event Handler for the control with id='submitBtn'
	 */
	public String submitBtn_action() throws Exception {
	    getUpdateCustomerBean().refresh();
	    getGetCustomerInfoBean().refresh();
	    switchToPortletMode(PortletMode.VIEW); 
	    return null;
	}
}