/**
 * 
 */
package com.webmethods.portlet.orderinformation;

/**
 * @author seabuild
 *
 */

import javax.portlet.PortletPreferences;

public class OrderInformationBean extends com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.portlet.Wm_search_wsBean Wm_search_wsBean = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"orderID", "returnURL", "customerID"
	};
	/**
	 * Create new preferences bean with list of preference names
	 */
	public OrderInformationBean() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.portlet.Wm_search_wsBean getWm_search_wsBean()  {
		if (Wm_search_wsBean == null) {
		    Wm_search_wsBean = (com.webmethods.portlet.Wm_search_wsBean)resolveExpression("#{Wm_search_wsBean}");
		}
		return Wm_search_wsBean;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getOrderID() throws Exception {
		return (String) getPreferenceValue("orderID", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setOrderID(String orderID) throws Exception {
		setPreferenceValue("orderID", orderID);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getReturnURL() throws Exception {
		return (String) getPreferenceValue("returnURL", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setReturnURL(String returnURL) throws Exception {
		setPreferenceValue("returnURL", returnURL);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getCustomerID() throws Exception {
		return (String) getPreferenceValue("customerID", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setCustomerID(String customerID) throws Exception {
		setPreferenceValue("customerID", customerID);
	}
}