/**
 * 
 */
package com.webmethods.portlet.searchbar;

/**
 * @author seabuild
 *
 */
public class SearchBarViewPage extends com.webmethods.caf.faces.bean.search.BaseSearchBarPageBean {

	private com.webmethods.portlet.searchbar.SearchBarBean SearchBarBean = null;
	private com.webmethods.wsclient.getshippersbean.GetShippersBean getShippersBean = null;
	private static final String[][] GETSHIPPERSBEAN_PROPERTY_BINDINGS = new String[][] {
		{"#{GetShippersBean.autoRefresh}", "true"},
		{"#{GetShippersBean.authCredentials.password}", "manage"},
		{"#{GetShippersBean.authCredentials.userName}", "Administrator"},
	};
	private com.webmethods.caf.faces.data.object.TableSelectItemGroupProvider shippersOptionContentProvider = null;
	private static final String[][] SHIPPERSOPTIONCONTENTPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{ShippersOptionContentProvider.labelFieldName}", "companyName"},
		{"#{ShippersOptionContentProvider.array}", "#{SearchBarViewPage.getShippersBean.result.results}"},
		{"#{ShippersOptionContentProvider.valueFieldName}", "shipperID"},
	};

	/**
	 * Getter method for the control with id='searchBarControl'
	 */
	public com.webmethods.caf.faces.component.search.SearchBar getSearchBarControl()  {
		return (com.webmethods.caf.faces.component.search.SearchBar)findComponentInRoot("searchBarControl");
	}

	public com.webmethods.portlet.searchbar.SearchBarBean getSearchBarBean()  {
		if (SearchBarBean == null) {
		    SearchBarBean = (com.webmethods.portlet.searchbar.SearchBarBean)resolveExpression("#{SearchBarBean}");
		}
		return SearchBarBean;
	}

	public com.webmethods.wsclient.getshippersbean.GetShippersBean getGetShippersBean()  {
		if (getShippersBean == null) {
		    getShippersBean = (com.webmethods.wsclient.getshippersbean.GetShippersBean)resolveExpression("#{GetShippersBean}");
		}
	
	    resolveDataBinding(GETSHIPPERSBEAN_PROPERTY_BINDINGS, getShippersBean, null);
		return getShippersBean;
	}

	public com.webmethods.caf.faces.data.object.TableSelectItemGroupProvider getShippersOptionContentProvider()  {
		if (shippersOptionContentProvider == null) {
		    shippersOptionContentProvider = (com.webmethods.caf.faces.data.object.TableSelectItemGroupProvider)resolveExpression("#{ShippersOptionContentProvider}");
		}
	
	    resolveDataBinding(SHIPPERSOPTIONCONTENTPROVIDER_PROPERTY_BINDINGS, shippersOptionContentProvider, null);
		return shippersOptionContentProvider;
	}
	
}