/**
 * 
 */
package com.webmethods.portlet.searchresults;

/**
 * @author seabuild
 *
 */
public class SearchResultsViewPage extends com.webmethods.caf.faces.bean.search.BaseTableSearchResultPageBean {

	private com.webmethods.portlet.searchresults.SearchResultsBean SearchResultsBean = null;
	private com.webmethods.wsclient.searchordersbean.SearchOrdersBean searchOrdersBean = null;

	private static final String[][] SEARCHORDERSBEAN_PROPERTY_BINDINGS = new String[][] {
		{"#{SearchOrdersBean.autoRefresh}", "true"},
		{"#{SearchOrdersBean.authCredentials.password}", "manage"},
		{"#{SearchOrdersBean.authCredentials.userName}", "Administrator"},
		{"#{SearchOrdersBean.parameters.shipVia}", "#{SearchResultsViewPage.activeSearchQuery.refineFields.shipVia}"},
		{"#{SearchOrdersBean.parameters.keyword}", "#{SearchResultsViewPage.activeSearchQuery.keywordsField}"},
	};
	/**
	 * Getter method for the control with id='searchResultsTableControl'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getSearchResultsTableControl()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("searchResultsTableControl");
	}

	public com.webmethods.portlet.searchresults.SearchResultsBean getSearchResultsBean()  {
		if (SearchResultsBean == null) {
		    SearchResultsBean = (com.webmethods.portlet.searchresults.SearchResultsBean)resolveExpression("#{SearchResultsBean}");
		}
		return SearchResultsBean;
	}

	public com.webmethods.wsclient.searchordersbean.SearchOrdersBean getSearchOrdersBean()  {
		if (searchOrdersBean == null) {
		    searchOrdersBean = (com.webmethods.wsclient.searchordersbean.SearchOrdersBean)resolveExpression("#{SearchOrdersBean}");
		}
	
	    resolveDataBinding(SEARCHORDERSBEAN_PROPERTY_BINDINGS, searchOrdersBean, null);
		return searchOrdersBean;
	}

	/**
	 * Getter method for the control with id='resultsTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getResultsTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("resultsTable");
	}

	/**
	 * Getter method for the control with id='resultsTablecontactNameColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTablecontactNameColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTablecontactNameColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='resultsTablefreightColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTablefreightColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTablefreightColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='resultsTableorderDateColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTableorderDateColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTableorderDateColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='resultsTableorderIDColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTableorderIDColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTableorderIDColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='resultsTablecompanyNameColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTablecompanyNameColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTablecompanyNameColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='resultsTableshipperNameColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTableshipperNameColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTableshipperNameColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='resultsTablecustomerIDColumnStandardColumn'
	 */
	public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getResultsTablecustomerIDColumnStandardColumn()  {
		return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("resultsTablecustomerIDColumnStandardColumn");
	}

	/**
	 * Getter method for the control with id='varresultcontactNameText'
	 */
	public javax.faces.component.html.HtmlOutputText getVarresultcontactNameText()  {
		return (javax.faces.component.html.HtmlOutputText)findComponentInRoot("varresultcontactNameText");
	}

}