/**
 * 
 */
package com.webmethods.portlet.accesscontrol;

import java.util.*;

import com.webmethods.caf.faces.data.object.ListTableContentProvider;

/**
 *
 */

import javax.faces.model.SelectItem;
import javax.portlet.PortletPreferences;

public class AccessControlBean extends com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	public static final String[] PREFERENCES_NAMES = new String[] {};
	private com.webmethods.portlet.Wm_access_controlBean Wm_access_controlBean = null;
	protected String sSelection = null;
	protected ListTableContentProvider listContent = null;

	/**
	 * Create new preferences bean with list of preference names
	 */
	public AccessControlBean() {
		super(PREFERENCES_NAMES);
	}

	public ListTableContentProvider getGroupContentProvider()
	{
		ArrayList aList = new ArrayList();
		// Add Group A if allowed
		if( getWm_access_controlBean().getUseGroupA() )
		{
			aList.add( new Object[]{"Apple"});
			aList.add( new Object[]{"Albacore"});
			aList.add( new Object[]{"Asparagus"});
		}
		// Add Group B if allowed
		if( getWm_access_controlBean().getUseGroupB() )
		{
			aList.add( new Object[]{"Beets" });
			aList.add( new Object[]{"Bread" });
			aList.add( new Object[]{"Barbecue" });
		}
		// Always add Group C
		aList.add( new Object[]{"Cereal"});
		aList.add( new Object[]{"Celery"});
		aList.add( new Object[]{"Calcium"});
		
		listContent = new ListTableContentProvider( aList );
		return listContent;
	}
	public List getGroupsForUser()
	{
		ArrayList aList = new ArrayList();
		// Add Group A if allowed
		if( getWm_access_controlBean().getUseGroupA() )
		{
			aList.add( new SelectItem( "Apple"));
			aList.add( new SelectItem( "Albacore"));
			aList.add( new SelectItem( "Asparagus"));
		}
		// Add Group B if allowed
		if( getWm_access_controlBean().getUseGroupB() )
		{
			aList.add( new SelectItem( "Beet" ));
			aList.add( new SelectItem( "Bread" ));
			aList.add( new SelectItem( "Barbecue" ));
		}
		// Always add Group C
		aList.add( new SelectItem( "Cereal" ));
		aList.add( new SelectItem( "Celery" ));
		aList.add( new SelectItem( "Calcium" ));
		
		// Set the selection
		if( getWm_access_controlBean().getUseGroupA() )
			sSelection = "Apple";
		else 
		if( getWm_access_controlBean().getUseGroupB() )
			sSelection = "Barbecue";
		else
			sSelection = "Cereal";
		return aList;
	}
	
	public void setSelection( String sValue )
	{
		sSelection = sValue;
	}

	public String getSelection()
	{
		return sSelection;
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.portlet.Wm_access_controlBean getWm_access_controlBean()  {
		if (Wm_access_controlBean == null) {
		    Wm_access_controlBean = (com.webmethods.portlet.Wm_access_controlBean)resolveExpression("#{Wm_access_controlBean}");
		}
		return Wm_access_controlBean;
	}
}