package app;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.fileupload.FileItem;

import com.webmethods.caf.faces.data.attachments.AttachmentItem;
import com.webmethods.caf.faces.data.attachments.IAttachmentItem;
import com.webmethods.caf.faces.data.attachments.IAttachmentsProvider;
import com.webmethods.caf.faces.data.calendar.CalendarEvent;
import com.webmethods.caf.faces.data.calendar.CalendarEventProvider;
import com.webmethods.caf.faces.data.calendar.ICalendarEvent;
import com.webmethods.caf.faces.data.object.SelectableListTableContentProvider;
import com.webmethods.caf.faces.data.tree.object.ListTreeContentProvider;


public class AllView extends com.webmethods.caf.faces.bean.BaseWebPageBean {
    public static final SimpleDateFormat DATE = new SimpleDateFormat("yyyy-M-d");
    
    protected static Date date(String s) {
        try {
            return DATE.parse(s);
        } catch (Exception e) {
            //
        }
        return null;
    }

	/**
     * Determines if a de-serialized file is compatible with this class.
     *
     * Maintainers must change this value if and only if the new version
     * of this class is not compatible with old versions. See Sun docs
     * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
     * details. </a>
     */
    private static final long serialVersionUID = 1L;
    private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
    private app.Wm_rtl_controls wm_rtl_controls = null;
    
    protected List<String[]> providerSource = Arrays.asList(new String[][] {
            new String[] { "one", "العربية", "العربيةOneالعربية", "", },
            new String[] { "two", "العربية", "العربيةTwoالعربية", "العربيةOneالعربية", },
            new String[] { "three", "العربية", "العربيةThreeالعربية", "العربيةOneالعربية", },
            new String[] { "four", "العربية", "العربيةFourالعربية","العربيةTwoالعربية", },
            new String[] { "five", "العربية", "العربيةFiveالعربية", "العربيةTwoالعربية", },
            new String[] { "six", "العربية", "العربيةSixالعربية", "العربيةOneالعربية", },
            new String[] { "seven", "العربية", "العربيةSevenالعربية", "العربيةOneالعربية", },
            new String[] { "eight", "العربية", "العربيةEightالعربية", "العربيةSixالعربية", },
            new String[] { "nine", "العربية", "العربيةNineالعربية", "العربيةSixالعربية", },
            new String[] { "ten", "العربية", "العربيةTenالعربية", "العربيةFourالعربية", },
    });
    protected List<CalendarEvent> calSource = Arrays.asList(new CalendarEvent[] {
            CalendarEvent.create(date("2008-1-1"), date("2008-1-1"), true, "العربيةNew Yearsالعربية", "العربية", "holiday"),
            CalendarEvent.create(date("2008-2-18"), date("2008-2-18"), true, "العربيةPresidentsالعربية", "العربية", "holiday"),
            CalendarEvent.create(date("2008-5-26"), date("2008-5-26"), true, "العربيةMemorialالعربية", "العربية", "holiday"),
            CalendarEvent.create(date("2008-7-4"), date("2008-7-4"), true, "العربيةIndependenceالعربية", "العربية", "holiday"),
            CalendarEvent.create(date("2008-9-1"), date("2008-9-1"), true, "العربيةLaborالعربية", "العربية", "holiday"),
            CalendarEvent.create(date("2008-11-27"), date("2008-11-28"), true, "العربيةThanksgivingالعربية", "العربية", "holiday"),
            CalendarEvent.create(date("2008-12-25"), date("2008-12-26"), true, "العربيةChristmasالعربية", "العربية", "holiday"),
    });
    protected Map<String,String> basicOptions;
    protected SelectableListTableContentProvider providerOne;
    protected SelectableListTableContentProvider providerTwo;
    protected SelectableListTableContentProvider providerThree;
    protected SelectableListTableContentProvider providerFour;
    protected SelectableListTableContentProvider providerFive;
    protected SelectableListTableContentProvider providerSix;
    protected SelectableListTableContentProvider providerSeven;
    protected SelectableListTableContentProvider providerEight;
    protected SelectableListTableContentProvider providerNine;
    protected SelectableListTableContentProvider providerTen;
    protected ListTreeContentProvider treeOne;
    protected CalendarEventProvider calProvider;
    protected AttachmentsProvider attachmentsProvider;

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

    public app.Wm_rtl_controls getWm_rtl_controls()  {
    	if (wm_rtl_controls == null) {
    	    wm_rtl_controls = (app.Wm_rtl_controls)resolveExpression("#{Wm_rtl_controls}");
    	}
    	return wm_rtl_controls;
    }
	
    
    public Map<String,String> getBasicOptions() {
        if (basicOptions == null) {
            basicOptions = new LinkedHashMap<String,String>(0x10);
            basicOptions.put("العربية", "العربية");
            basicOptions.put("Two", "two");
            basicOptions.put("العربيةThreeالعربية", "العربيةthreeالعربية");
        }
        return basicOptions;
    }
    
    public SelectableListTableContentProvider getProviderOne() {
        if (providerOne == null) {
            providerOne = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerOne.setRowVariable("row");
            providerOne.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerOne.setCanTemplateRow(false);
        }
        return providerOne;
    }
    
    public SelectableListTableContentProvider getProviderTwo() {
        if (providerTwo == null) {
            providerTwo = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerTwo.setRowVariable("row");
            providerTwo.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerTwo.setCanTemplateRow(false);
        }
        return providerTwo;
    }
    
    public SelectableListTableContentProvider getProviderThree() {
        if (providerThree == null) {
            providerThree = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerThree.setRowVariable("row");
            providerThree.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerThree.setCanTemplateRow(false);
        }
        return providerThree;
    }
    
    public SelectableListTableContentProvider getProviderFour() {
        if (providerFour == null) {
            providerFour = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerFour.setRowVariable("row");
            providerFour.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerFour.setCanTemplateRow(false);
        }
        return providerFour;
    }
    
    public SelectableListTableContentProvider getProviderFive() {
        if (providerFive == null) {
            providerFive = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerFive.setRowVariable("row");
            providerFive.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerFive.setCanTemplateRow(false);
        }
        return providerFive;
    }
    
    public SelectableListTableContentProvider getProviderSix() {
        if (providerSix == null) {
            providerSix = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerSix.setRowVariable("row");
            providerSix.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerSix.setCanTemplateRow(false);
        }
        return providerSix;
    }
    
    public SelectableListTableContentProvider getProviderSeven() {
        if (providerSeven == null) {
            providerSeven = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerSeven.setRowVariable("row");
            providerSeven.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerSeven.setCanTemplateRow(false);
        }
        return providerSeven;
    }
    
    public SelectableListTableContentProvider getProviderEight() {
        if (providerEight == null) {
            providerEight = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerEight.setRowVariable("row");
            providerEight.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerEight.setCanTemplateRow(false);
        }
        return providerEight;
    }
    
    public SelectableListTableContentProvider getProviderNine() {
        if (providerNine == null) {
            providerNine = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerNine.setRowVariable("row");
            providerNine.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerNine.setCanTemplateRow(false);
        }
        return providerNine;
    }
    
    public SelectableListTableContentProvider getProviderTen() {
        if (providerTen == null) {
            providerTen = new SelectableListTableContentProvider(new ArrayList<String[]>(providerSource));
            providerTen.setRowVariable("row");
            providerTen.setRowIdBinding(createValueBinding("#{row[2]}"));
            providerTen.setCanTemplateRow(false);
        }
        return providerTen;
    }
    
    public ListTreeContentProvider getTreeOne() {
        if (treeOne == null) {
            treeOne = new ListTreeContentProvider(new ArrayList<String[]>(providerSource));
            treeOne.setRowVariable("row");
            treeOne.setRowIdBinding(createValueBinding("#{row[2]}"));
            treeOne.setParentIdBinding(createValueBinding("#{row[3]}"));
            treeOne.setCanTemplateRow(false);
        }
        return treeOne;
    }
    
    public CalendarEventProvider getCalProvider() {
        if (calProvider == null) {
            calProvider = new CalendarEventProvider(new ArrayList<ICalendarEvent>(calSource));
        }
        return calProvider;
    }
    
    public AttachmentsProvider getAttachmentsProvider() {
        if (attachmentsProvider == null) {
            attachmentsProvider = new AttachmentsProvider();
        }
        return attachmentsProvider;
    }
    
    public static class AttachmentsProvider implements IAttachmentsProvider {
        protected List<IAttachmentItem> items;

        public void addAttachment(FileItem arg0, String arg1) {
            // TODO Auto-generated method stub
            
        }

        public boolean isAddAttachmentsAvailable() {
            return true;
        }
		
		/**
		* Returns whether the attachment provider has any attachments
		* @return true or false
		*/
		public boolean getHasAttachments() {
			return true;
		}

        public List<IAttachmentItem> listAttachments() {
            if (items == null) {
                items = Arrays.asList(new IAttachmentItem[] {
                        new AttachmentItem("العربيةoneالعربية", "العربيةOneالعربية", "text/plain", 1, "http://example.com/"),
                        new AttachmentItem("العربيةtwoالعربية", "العربيةTwoالعربية", "text/plain", 1, "http://example.com/"),
                        new AttachmentItem("العربيةthreeالعربية", "العربيةThreeالعربية", "text/plain", 1, "http://example.com/"),
                });
            }
            return items;
        }

        public void removeAttachment(String arg0) {
            // TODO Auto-generated method stub
            
        }

        public void updateAttachment(String arg0, FileItem arg1, String arg2) {
            // TODO Auto-generated method stub
            
        }
        public void setUseWebDav(boolean useWebDav)
        {
         }
        public boolean isUseWebDav()
        {
	        return true;
        }
    }
    
}