/**
 ** Copyright (c) 2006 webMethods, Inc. All Rights Reserved.
 **/
package app;

/**
 * 
 */

public class HeaderView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
     * Determines if a de-serialized file is compatible with this class.
     *
     * Maintainers must change this value if and only if the new version
     * of this class is not compatible with old versions. See Sun docs
     * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
     * details. </a>
     */
    private static final long serialVersionUID = 1L;
    private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
    private app.Wm_rtl_controls wm_rtl_controls = null;

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

    public app.Wm_rtl_controls getWm_rtl_controls()  {
    	if (wm_rtl_controls == null) {
    	    wm_rtl_controls = (app.Wm_rtl_controls)resolveExpression("#{Wm_rtl_controls}");
    	}
    	return wm_rtl_controls;
    }
	
}