package caf;

// -----( IS Java Code Template v1.2
// -----( CREATED: 2007-08-08 13:48:43 PDT
// -----( ON-HOST: pegasi.webm.webmethods.com

import com.wm.data.*;
import com.wm.util.Values;
import com.wm.app.b2b.server.Service;
import com.wm.app.b2b.server.ServiceException;
// --- <<IS-START-IMPORTS>> ---
// --- <<IS-END-IMPORTS>> ---

public final class northwind

{
	// ---( internal utility methods )---

	final static northwind _instance = new northwind();

	static northwind _newInstance() { return new northwind(); }

	static northwind _cast(Object o) { return (northwind)o; }

	// ---( server methods )---




	public static final void SearchOrders (IData pipeline)
        throws ServiceException
	{
		// --- <<IS-START(SearchOrders)>> ---
		// @subtype unknown
		// @sigtype java 3.5
		// [i] field:0:required keyword
		// [i] field:0:required shipVia
		// [i] field:0:required fromOrderDate
		// [i] field:0:required toOrderDate
		// [i] field:0:required fromFreight
		// [i] field:0:required toFreight
		// [o] record:0:required SearchOrdersOutput
		// [o] - record:1:required results
		// [o] -- field:0:required orderID
		// [o] -- field:0:required customerID
		// [o] -- field:0:required orderDate
		// [o] -- field:0:required shipVia
		// [o] -- field:0:required shipperName
		// [o] -- object:0:required freight
		// [o] -- field:0:required companyName
		// [o] -- field:0:required contactName
		IDataCursor input = pipeline.getCursor();
		String keyword = IDataUtil.getString( input, "keyword");
		if (keyword == null) keyword = "";
		keyword = keyword.replace('*', '%');
		String shipVia = IDataUtil.getString( input, "shipVia" );
		String fromOrderDate = IDataUtil.getString( input, "fromOrderDate" );
		String toOrderDate = IDataUtil.getString( input, "toOrderDate" );
		String fromFreight = IDataUtil.getString( input, "fromFreight" );
		String toFreight = IDataUtil.getString( input, "toFreight" );
		String[] keywords = keyword.split("\\s");
		IData[] results = new IData[keywords.length];
		com.wm.lang.ns.NSName nsname = com.wm.lang.ns.NSName.create("caf.northwind:SearchOrdersRaw");
		java.util.Map map = new java.util.HashMap();
		java.util.Map mapKeys = new java.util.HashMap();
		
		int count = 0;
		for (int i = 0; i < keywords.length; i++) {
		    IData targetPipeline = IDataFactory.create();
		    IDataCursor targetCur = targetPipeline.getCursor();
		    try {
		        targetCur.insertAfter("keyword", keywords[i]);
		        targetCur.insertAfter("shipVia", shipVia);
		        targetCur.insertAfter("fromOrderDate", fromOrderDate);
		        targetCur.insertAfter("toOrderDate", toOrderDate);
		        targetCur.insertAfter("fromFreight", fromFreight);
		        targetCur.insertAfter("toFreight", toFreight);
		
		        // invoke service
		        Service.doInvoke(nsname, targetPipeline);
		
		        IData result = IDataUtil.getIData(targetCur, "SearchOrdersOutput");
		        results[i] = result;
		
		        IDataCursor resultCursor = result.getCursor();
		        try {
		            IData[] orders = IDataUtil.getIDataArray(resultCursor, "results");
		            if( orders != null ) {
				for (int k = 0; k < orders.length; k++) {
			                String orderID = IDataUtil.getString(orders[k].getCursor(), "orderID");
		        	        if (!map.containsKey(orderID)) map.put(orderID, orders[k]);
		                	if (!mapKeys.containsKey(orderID)) mapKeys.put(orderID, new Integer(1));
			                else mapKeys.put(orderID, new Integer(((Integer)mapKeys.get(orderID)).intValue() + 1));
		
			                if (((Integer)mapKeys.get(orderID)).intValue() == keywords.length) count++;
		        	    }
			     }
		        }
		        finally {
		            resultCursor.destroy();
		        }
		        
		    }
		    catch (Exception e) {
		        com.wm.app.b2b.server.ServerAPI.logError(e);
		        throw new ServiceException(e);
		    }
		    finally {
		        targetCur.destroy();
		    }
		}
		
		input.first();
		input.delete();
		while (input.next()) {
		    input.delete();
		}
		
		if( results.length == 0 ) {
		input.insertAfter("SearchOrdersOutput", "");
		}
		else{
		if (results.length == 1) {
		    input.insertAfter("SearchOrdersOutput", results[0]);
		}
		else {
		    IData searchOrdersOutput = IDataFactory.create();
		    input.insertAfter("SearchOrdersOutput", searchOrdersOutput);
		    IData[] orders = new IData[count];
		    int j = 0;
		    java.util.Iterator it = mapKeys.entrySet().iterator();
		    while (it.hasNext()) {
		        java.util.Map.Entry entry = (java.util.Map.Entry)it.next();
		                String orderID = (String)entry.getKey();
		        Integer found = (Integer)entry.getValue();
		        if (found.intValue() == keywords.length) {
		            orders[j++] = (IData)map.get(orderID);
		        }
		    }
		
		    searchOrdersOutput.getCursor().insertAfter("results", orders);
		  }
		}
		
		// --- <<IS-END>> ---

                
	}
}

