package com.webmethods.portal.portlet.wm_page_jsr168_demo.resources;

import java.util.ListResourceBundle;

public class DemoResources extends ListResourceBundle {

    protected Object[][] getContents() {
        return new Object[][]{
            {"POP.012.0001.wm_page_jsr168_demo", "<P align=center><FONT size=4>Java Specification Request (JSR)&nbsp;168 \n" +
                "<BR>Sample Portlets</FONT></P>\n" +
                "<P align=left>Below are four JSR168 portlets from Sun Microsystems, that have \n" +
                "been deployed to webMethods Portal.&nbsp; Since webMethods Portal now supports \n" +
                "JSR168 compliant portlets, these can be deployed to the Portal just \n" +
                "like&nbsp;any other portlet.</P>\n" +
                "<P align=left>You'll notice that these portlets have a slightly different \n" +
                "toolbar buttons like the <STRONG>Help</STRONG> and <STRONG>Edit</STRONG> \n" +
                "buttons.&nbsp; The reason for this is because the JSR168 specification has a \n" +
                "slightly different interface for interacting with portlets then typical \n" +
                "webMethods portlets.&nbsp; The JSR168 specification defines three standard modes \n" +
                "for portlets:</P>\n" +
                "<UL>\n" +
                "<LI>\n" +
                "<DIV align=left>View - Default runtime mode.</DIV>\n" +
                "<LI>\n" +
                "<DIV align=left>Edit - Allows you to configure the preferences for the portlet, \n" +
                "which are unique for each user.&nbsp; </DIV>\n" +
                "<LI>\n" +
                "<DIV align=left>Help - Provides portlet-specific information.</DIV></LI></UL>\n" +
                "<P align=left>JSR168 also supports portlet window states (maximize, minimize, \n" +
                "normal) just like webMethods Portal.</P>\n" +
                "<P align=left>Any of these JSR168 portlets can be added to your Portal <A \n" +
                "href=\"/user.current.home\">Start Page</A>.</P>\n" +
                "<P align=left>\n" +
                "<P></P>\n" +
                "<P>For additional information on JSR 168, please visit the official <A \n" +
                "href=\"http://jcp.org/en/jsr/detail?id=168\">JSR 168 web site</A>. </P>\n" +
                "<P>&nbsp;</P>"},

            {"POP.012.0002.wm_page_jsr168_demo", "<P align=center><FONT size=4>Web Services for Remote Portlets (WSRP)<BR>Sample \n" +
                "Portlets</FONT></P>\n" +
                "<P>Below are four sample WSRP portlets from Oracle and NetUnity WSRP Portals \n" +
                "that have been configured using the webMethods Portal WSRP consumer proxy \n" +
                "portlet.</P>\n" +
                "<P>The WSRP consumer proxy portlet can be placed on any webMethods portal page \n" +
                "and point to a remote portlet from a registered WSRP producer. Please configure \n" +
                "your user preferences&nbsp;for the remote portlets in the same way as for the \n" +
                "local JSR168 portlets,&nbsp;by using the 'edit' mode which is available via the \n" +
                "'edit' toolbar icon or 'edit' menu item for each WSRP portlet below.</P>\n" +
                "<P>Use the WSRP Consumer Admin Portlet (below) to manage the list of registered \n" +
                "WSRP producers.</P>\n" +
                "<P>For additional information on WSRP, please visit the official <A \n" +
                "href=\"http://www.oasis-open.org/committees/tc_home.php?wg_abbrev=wsrp\">WSRP Web \n" +
                "site</A>.</P>\n" +
                "<P>&nbsp;</P>"},
        };
    }
}