<%@ taglib uri="http://webmethods.com/portal/taglib/meta" prefix="meta" %>
<%@ taglib uri="http://webmethods.com/portal/taglib/page" prefix="page" %>
<%@ taglib uri="http://webmethods.com/portal/taglib/portlet" prefix="portlet" %>
<%@ taglib uri="http://webmethods.com/portal/taglib/ui" prefix="ui" %>
<%@ taglib uri="http://webmethods.com/portal/taglib/util" prefix="util" %>
<%@ taglib uri="http://webmethods.com/portal/taglib/view" prefix="view" %>
	
<%@ page import='com.webmethods.portal.portlet.wm_spreadsheetdatasource.*,
                 java.util.List,
                 java.util.Iterator'%>

<portlet:bean id='portlet' className='com.webmethods.portal.portlet.wm_spreadsheetdatasource.SpreadSheetDataSource'>

    <style>
        .grid table {
            border:solid 1px #cccccc;
            border-collapse:collapse;
        }

        .grid td {
            border:solid 1px #cccccc;
            padding:3px;
        }
    </style>

    <div class="grid">

    <%
        SpreadSheetDataSource.SpreadSheetData data = portlet.loadSpreadSheetData();
        if (data != null) {
    %>

    <ui:list style="table">

        <% if (portlet.getDisplayColumnTitlesAsBoolean()) { %>
            <ui:listHead>
                <%
                    String [] titles = data.getTitles();
                    for (int i = 0; i < titles.length; i++) {
                        String title = titles[i];
                %> <ui:listCell><%=title%></ui:listCell> <% } %>

            </ui:listHead>
        <% } %>

        <%
            for (Iterator it = data.getRowsOfData().iterator(); it.hasNext();) {
                String [] values = (String[])it.next();
        %>
                <ui:listRow>
                <%
                    for (int i = 0; i < values.length; i++) {
                        String value = values[i];
                %> <ui:listCell><%=value%></ui:listCell> <% } %>

                </ui:listRow>
        <% } %>

    </ui:list>

    </div>

    <% } else { %>
        <util:message bundle="portlet" key="empty.data" />
    <% } %>

</portlet:bean>