/**
 * 
 */
package com.webmethods.caf.ordercreditstart;

/**
 * @author oleksiyo
 *
 */

import javax.portlet.PortletPreferences;

public class OrderCreditStart extends com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.caf.Northwind_task northwind_task = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"returnUrl", "orderID"
	};
	/**
	 * Create new preferences bean with list of preference names
	 */
	public OrderCreditStart() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.caf.Northwind_task getNorthwind_task()  {
		if (northwind_task == null) {
		    northwind_task = (com.webmethods.caf.Northwind_task)resolveExpression("#{Northwind_task}");
		}
		return northwind_task;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getReturnUrl() throws Exception {
		return (String) getPreferenceValue("returnUrl", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setReturnUrl(String returnUrl) throws Exception {
		setPreferenceValue("returnUrl", returnUrl);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getOrderID() throws Exception {
		return (String) getPreferenceValue("orderID", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setOrderID(String orderID) throws Exception {
		setPreferenceValue("orderID", orderID);
	}
}