/**
 * 
 */
package com.webmethods.caf.analyzabletaskoverview;

/**
 * @author ronw
 *
 */

import javax.faces.application.FacesMessage;
import com.webmethods.caf.faces.data.task.TaskDisplayProvider;

public class AnalyzableTaskOverviewDefaultviewView extends com.webmethods.caf.faces.bean.BasePageBean {


	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};

	// binding the Task Display Provider to the current taskID (passed to the Portlet Bean via the URL)
	private TaskDisplayProvider taskDisplayProvider = null;
	private static final String[][] TASKDISPLAYPROVIDER_PROPERTY_BINDINGS = new String[][] { {
			"#{TaskDisplayProvider.taskID}", "#{AnalyzableTaskOverview.taskID}" }, };
	private com.webmethods.caf.analyzabletaskoverview.AnalyzableTaskOverview analyzableTaskOverview = null;
	private com.webmethods.caf.taskclient.AnalyzableTask analyzableTask = null;
	private static final String[][] ANALYZABLETASK_PROPERTY_BINDINGS = new String[][] {
		{"#{AnalyzableTask.taskID}", "#{AnalyzableTaskOverview.taskID}"},
	};

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

	/*
	 * Get the Task Display Provider for the current taskID
	 */
	public TaskDisplayProvider getTaskDisplayProvider() {
		if (taskDisplayProvider == null) {
			taskDisplayProvider = (TaskDisplayProvider) resolveExpression("#{TaskDisplayProvider}");
		}
		resolveDataBinding(TASKDISPLAYPROVIDER_PROPERTY_BINDINGS,
				taskDisplayProvider, "taskDisplayProvider", false, false);
		return taskDisplayProvider;
	}

	public com.webmethods.caf.analyzabletaskoverview.AnalyzableTaskOverview getAnalyzableTaskOverview()  {
		if (analyzableTaskOverview == null) {
		    analyzableTaskOverview = (com.webmethods.caf.analyzabletaskoverview.AnalyzableTaskOverview)resolveExpression("#{AnalyzableTaskOverview}");
		}
		return analyzableTaskOverview;
	}

	public com.webmethods.caf.taskclient.AnalyzableTask getAnalyzableTask()  {
		if (analyzableTask == null) {
		    analyzableTask = (com.webmethods.caf.taskclient.AnalyzableTask)resolveExpression("#{AnalyzableTask}");
		}
	
	    resolveDataBinding(ANALYZABLETASK_PROPERTY_BINDINGS, analyzableTask, "analyzableTask", false, false);
		return analyzableTask;
	}

}