/**
 ** $Workfile: RecentLogins.java $
 ** Copyright (c) 2001-2004 webMethods, Inc. All Rights Reserved.
 */
package com.webmethods.portal.portlet.wm_recentlogins;

import com.webmethods.portal.mech.IMechanicsManager;
import com.webmethods.portal.system.PortalSystem;
import com.webmethods.portal.PortalException;
import com.webmethods.portal.portlet.wm_recentlogins.mechanics.RecentLoginsMechanics;

import java.util.List;

/**
 * RecentLogins portlet implementation.
 *
 * @version    $Revision: 1.0 $
 */
public class RecentLogins extends com.webmethods.portal.framework.portlet.beans.JspPortletBean {

    /**
     * Release any local variables so the object can be added back into the
     *  object pool.
     */
    public void release() {
        super.release();
    }

    public List getRecentLogins() throws PortalException {
        IMechanicsManager mechanicsManager = (IMechanicsManager)PortalSystem.getMechanicsProvider();
        RecentLoginsMechanics mech = (RecentLoginsMechanics)mechanicsManager.getMechanics(getPortletThingID());
        return mech.getRecentLogins();
    }
}
