/**
 * 
 */
package com.webmethods.portlet.order_details;


/**
 * @author oleksiyo
 *
 */
public class Order_detailsViewPageBean extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider order_details = null;
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider order_items = null;
	private static final String[][] ORDER_ITEMS_PARAMS = new String[][] {
		{"#{order_details.parameters[0]}", "#{Order_detailsBean.orderID}"} 
	};
	private static final String[][] ORDER_DETAILS_PARAMS = new String[][] {
		{"#{order_items.parameters[0]}", "#{Order_detailsBean.orderID}"} 
	};

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrder_details()  {
		if (order_details == null) {
		    order_details = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{order_details}");
		}
		return order_details;
	}

	public String refreshorder_details()  {
		if (resolveDataBinding(ORDER_DETAILS_PARAMS, getOrder_details(), "order_details", false, true)) {
			getOrder_details().refresh();
		}
		
		return null;
	}
	
	/**
	 * Getter method for the control with id='OrdersTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getOrdersTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("OrdersTable");
	}

	protected void beforeRenderResponse() {
		refreshorder_details();
		refreshorder_items();
	}

	/**
	 * Getter method for the control with id='OrderDetailsTable'
	 */
	public com.webmethods.caf.faces.component.table.html.DataTable getOrderDetailsTable()  {
		return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("OrderDetailsTable");
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrder_items()  {
		if (order_items == null) {
		    order_items = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{order_items}");
		}
		return order_items;
	}

	public String refreshorder_items()  {
		if (resolveDataBinding(ORDER_ITEMS_PARAMS, getOrder_items(), "order_items", false, true)) {
			getOrder_items().refresh();
		}
		return null;
	}
	
	
}