/**
 * 
 */
package com.webmethods.caf.chart;

/**
 * @author invko
 *
 */

import javax.portlet.PortletPreferences;

public class Chart  extends   com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.caf.Wm_chart_samples wm_chart_samples = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"chartType", "chartWidth", "chartHeight", "chartSeries"
	};
	/**
	 * Create new preferences bean with list of preference names
	 */
	public Chart() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.caf.Wm_chart_samples getWm_chart_samples()  {
		if (wm_chart_samples == null) {
		    wm_chart_samples = (com.webmethods.caf.Wm_chart_samples)resolveExpression("#{Wm_chart_samples}");
		}
		return wm_chart_samples;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getChartType() throws Exception {
		return (String) getPreferenceValue("chartType", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setChartType(String chartType) throws Exception {
		setPreferenceValue("chartType", chartType);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getChartWidth() throws Exception {
		return (String) getPreferenceValue("chartWidth", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setChartWidth(String chartWidth) throws Exception {
		setPreferenceValue("chartWidth", chartWidth);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getChartHeight() throws Exception {
		return (String) getPreferenceValue("chartHeight", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setChartHeight(String chartHeight) throws Exception {
		setPreferenceValue("chartHeight", chartHeight);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getChartSeries() throws Exception {
		return (String) getPreferenceValue("chartSeries", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setChartSeries(String chartSeries) throws Exception {
		setPreferenceValue("chartSeries", chartSeries);
	}
}