package app;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.faces.context.FacesContext;

import com.webmethods.caf.faces.bean.BasePageBean;
import com.webmethods.caf.faces.data.ISelectItemGroupProvider;
import com.webmethods.caf.faces.data.ISortInfo;
import com.webmethods.caf.faces.data.ITableContentProvider;
import com.webmethods.caf.faces.data.tree.ITreeContentProvider;
import com.webmethods.caf.faces.data.object.DefaultSelectItemGroupProvider;
import com.webmethods.caf.faces.data.object.DefaultSelectItemProvider;
import com.webmethods.caf.faces.data.object.FilterableListTableContentProvider;
import com.webmethods.caf.faces.data.object.FilterableSelectableListTableContentProvider;
import com.webmethods.caf.faces.data.object.SortInfo;
import com.webmethods.caf.faces.data.tree.ITreeContentProvider;
import com.webmethods.caf.faces.data.tree.object.FilterableListTreeContentProvider;
import com.webmethods.caf.faces.data.tree.object.LazyNodeTreeContentProvider;

import app.tree.MSDNLib;

public class FilteredPage extends BasePageBean {
    protected DefaultSelectItemGroupProvider m_cs1provider;
    protected DefaultSelectItemGroupProvider m_ss1provider;
    protected DefaultSelectItemGroupProvider m_ssro1provider;
    protected DefaultSelectItemGroupProvider m_cs2provider;
    protected DefaultSelectItemGroupProvider m_ss2provider;
    protected DefaultSelectItemGroupProvider m_ssro2provider;
    protected FilterableListTableContentProvider m_csl1provider;
    protected FilterableSelectableListTableContentProvider m_csl2provider;
    protected FilterableListTableContentProvider m_cst1provider;
    protected FilterableSelectableListTableContentProvider m_cst2provider;
    protected FilterableSelectableListTableContentProvider m_cst3provider;
    protected FilterableListTreeContentProvider m_cstr1provider;
    protected LazyNodeTreeContentProvider m_cstr2provider;
    protected FilterableListTableContentProvider m_ssl1provider;
    protected FilterableSelectableListTableContentProvider m_ssl2provider;
    protected FilterableListTableContentProvider m_sst1provider;
    protected FilterableSelectableListTableContentProvider m_sst2provider;
    protected FilterableSelectableListTableContentProvider m_sst3provider;
    protected FilterableListTreeContentProvider m_sstr1provider;
    protected LazyNodeTreeContentProvider m_sstr2provider;
    protected FilterableListTableContentProvider m_rl1provider;
    protected FilterableListTableContentProvider m_rt1provider;
    protected FilterableListTreeContentProvider m_rtr1provider;
    protected FilterableSelectableListTableContentProvider m_filteredListProvider;
    
    protected List listone = Arrays.asList(new Object[][] {
            {"apple", new Integer(1), "one"},
            {"boy", new Integer(2), "two"},
            {"cat", new Integer(3), "three"},
            {"doll", new Integer(1), "four"},
            {"apple", new Integer(2), "five"},
            {"boy", new Integer(3), "six"},
            {"cat", new Integer(1), "seven"},
            {"doll", new Integer(2), "eight"},
            {"apple", new Integer(3), "nine"},
            {"boy", new Integer(1), "ten"},
            {"cat", new Integer(2), "eleven"},
            {"doll", new Integer(3), "twelve"},
            {"apple", new Integer(1), "thirteen"},
            {"boy", new Integer(2), "fourteen"},
            {"cat", new Integer(3), "fifteen"},
            {"doll", new Integer(1), "sixteen"},
            {"apple", new Integer(2), "seventeen"},
            {"boy", new Integer(3), "eighteen"},
            {"cat", new Integer(1), "nineteen"},
            {"doll", new Integer(2), "twenty"},
    });
    
    List listtwo = Arrays.asList(new Object[] {
            new Object[] {null,"alice","apple","astros"},
            new Object[] {null,"bob","banana","brewers"},
            new Object[] {null,"carla","cantaloupe","cubs"},
            new Object[] {null,"dirk","dingleberries","dodgers"},
            new Object[] {null,"edna","eggplant","expos"},
            new Object[] {null,"frank","fruitcake","phillies"},
            new Object[] {"alice","one","pineapple","texans"},
            new Object[] {"alice","two","cranapple","stars"},
            new Object[] {"bob","three","banan-o-rama","packers"},
            new Object[] {"bob","four","banana split","badgers"},
            new Object[] {"frank","five","fruit fly","eagles"},
            new Object[] {"frank","six","fruitful","flyers"},
            new Object[] {"frank","seven","fruition","76ers"},
            new Object[] {"three","gestalt","grapes","giants"},
            new Object[] {"three","headshrinker","hawaiian punch","habs"},
    });
    
    List filteredList = Arrays.asList(new Object[] {
            "one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty",
            "two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one",
            "three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two",
            "four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three",
            "five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four",
            "six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five",
            "seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six",
            "eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven",
            "nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight",
            "ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine",
            "eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "fourteen fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "fifteen sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "sixteen seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "seventeen eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "eighteen nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "nineteen twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "twenty twenty-one twenty-two twenty-three twenty-four twenty-five twenty-six twenty-seven twenty-eight twenty-nine thirty",
            "one", "two", "buckle my shoe", "three", "four", "knock on the door",
            "five", "six", "pick up sticks", "seven", "eight", "lay them straight",
            "nine", "ten", "a big fat hen", "eleven", "twelve", "dig and delve",
            "thirteen", "fourteen", "maids a-courting", "fifteen", "sixteen", "maids in the kitchen",
            "seventeen", "eighteen", "maids in waiting", "nineteen", "twenty", "my plate's empty",
            "backslash\\",
            "backslash2\\\\",
            "space ",
            "space2  ",
            " leading space",
            "  leading space2",
            "one partridge in a pear tree",
            "two turtle doves",
            "three french hens",
            "four calling birds",
            "five golden rings",
            "six geese a-laying",
            "seven swans a-swimming",
            "eight maids a-milking",
            "nine ladies dancing",
            "ten lords a-leaping",
            "eleven pipers piping",
            "twelve drummers drumming",
            "hang down your head Tom Dooley / hang down your head and cry / you killed poor Laurie Foster / and you know you're bound to die",
            "eins", "zwei", "drei", "fier", "funf", "sechs", "sieben", "aucht", "nein", "zien",
    });
/*
 * Hang your head, Tom Dooley,
Hang your head and cry;
You killed poor Laurie Foster,
And you know you're bound to die.
 * 
 */
    protected static MSDNLib msdnlib = new MSDNLib();
    
    
    public ISelectItemGroupProvider getCs1Provider() {
        if (m_cs1provider == null) {
            m_cs1provider = new DefaultSelectItemGroupProvider();
            
            m_cs1provider.add(new DefaultSelectItemProvider("Item One", "one"));
            m_cs1provider.add(new DefaultSelectItemProvider("Item Two", "two"));
            m_cs1provider.add(new DefaultSelectItemProvider("Item Three", "three"));
            m_cs1provider.add(new DefaultSelectItemProvider("Item Four", "four"));
            m_cs1provider.add(new DefaultSelectItemProvider("Item Five", "five"));
        }
        return m_cs1provider;
    }
    
    public ISelectItemGroupProvider getSs1Provider() {
        if (m_ss1provider == null) {
            m_ss1provider = new DefaultSelectItemGroupProvider();
            m_ss1provider.setFilterable(true);
            
            m_ss1provider.add(new DefaultSelectItemProvider("Item One", "one"));
            m_ss1provider.add(new DefaultSelectItemProvider("Item Two", "two"));
            m_ss1provider.add(new DefaultSelectItemProvider("Item Three", "three"));
            m_ss1provider.add(new DefaultSelectItemProvider("Item Four", "four"));
            m_ss1provider.add(new DefaultSelectItemProvider("Item Five", "five"));
        }
        return m_ss1provider;
    }
    
    public ISelectItemGroupProvider getSsro1Provider() {
        if (m_ssro1provider == null) {
            m_ssro1provider = new DefaultSelectItemGroupProvider();
            m_ssro1provider.setFilterable(true);
            
            m_ssro1provider.add(new DefaultSelectItemProvider("Item One", "one"));
            m_ssro1provider.add(new DefaultSelectItemProvider("Item Two", "two"));
            m_ssro1provider.add(new DefaultSelectItemProvider("Item Three", "three"));
            m_ssro1provider.add(new DefaultSelectItemProvider("Item Four", "four"));
            m_ssro1provider.add(new DefaultSelectItemProvider("Item Five", "five"));
        }
        return m_ssro1provider;
    }
    
    public String getSsro1Filter() {
        String clientId = (String) getClientIds().getValue("ssro1");
        String filter = (String) getFacesContext().getExternalContext()
            .getRequestParameterMap().get(clientId + "__filter");
        return filter;
    }
    
    public ISelectItemGroupProvider getCs2Provider() {
        if (m_cs2provider == null) {
            m_cs2provider = new DefaultSelectItemGroupProvider();
            
            m_cs2provider.add(new DefaultSelectItemProvider("Item One", "one"));
            m_cs2provider.add(new DefaultSelectItemProvider("Item Two", "two"));
            m_cs2provider.add(new DefaultSelectItemProvider("Item Three", "three"));
            m_cs2provider.add(new DefaultSelectItemProvider("Item Four", "four"));
            m_cs2provider.add(new DefaultSelectItemProvider("Item Five", "five"));
        }
        return m_cs2provider;
    }
    
    public ISelectItemGroupProvider getSs2Provider() {
        if (m_ss2provider == null) {
            m_ss2provider = new DefaultSelectItemGroupProvider();
            m_ss2provider.setFilterable(true);
            
            m_ss2provider.add(new DefaultSelectItemProvider("Item One", "one"));
            m_ss2provider.add(new DefaultSelectItemProvider("Item Two", "two"));
            m_ss2provider.add(new DefaultSelectItemProvider("Item Three", "three"));
            m_ss2provider.add(new DefaultSelectItemProvider("Item Four", "four"));
            m_ss2provider.add(new DefaultSelectItemProvider("Item Five", "five"));
        }
        return m_ss2provider;
    }
    
    public ISelectItemGroupProvider getSsro2Provider() {
        if (m_ssro2provider == null) {
            m_ssro2provider = new DefaultSelectItemGroupProvider();
            m_ssro2provider.setFilterable(true);
            
            m_ssro2provider.add(new DefaultSelectItemProvider("Item One", "one"));
            m_ssro2provider.add(new DefaultSelectItemProvider("Item Two", "two"));
            m_ssro2provider.add(new DefaultSelectItemProvider("Item Three", "three"));
            m_ssro2provider.add(new DefaultSelectItemProvider("Item Four", "four"));
            m_ssro2provider.add(new DefaultSelectItemProvider("Item Five", "five"));
        }
        return m_ssro2provider;
    }
    
    public String getSsro2Filter() {
        String clientId = (String) getClientIds().getValue("ssro2");
        String filter = (String) getFacesContext().getExternalContext()
            .getRequestParameterMap().get(clientId + "__filter");
        return filter;
    }
    
    public ITableContentProvider getCsl1Provider() {
        if (m_csl1provider == null) {
            m_csl1provider = new FilterableListTableContentProvider(
                    new ArrayList(listone), "#{row[0]} #{row[2]}", "row");
            m_csl1provider.setFilterable(false);
        }
        return m_csl1provider;
    }
    
    public ITableContentProvider getCsl2Provider() {
        if (m_csl2provider == null) {
            m_csl2provider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(listone), "#{row[2]}", "#{row[0]} #{row[2]}", "row");
            m_csl2provider.setFilterable(false);
        }
        return m_csl2provider;
    }
    
    public ITableContentProvider getCst1Provider() {
        if (m_cst1provider == null) {
            m_cst1provider = new FilterableListTableContentProvider(
                    new ArrayList(listone), "#{row[0]} #{row[2]}", "row");
            m_cst1provider.setFilterable(false);
        }
        return m_cst1provider;
    }
    
    public ITableContentProvider getCst2Provider() {
        if (m_cst2provider == null) {
            m_cst2provider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(listone), "#{row[2]}", "#{row[0]} #{row[2]}", "row");
            m_cst2provider.setFilterable(false);
        }
        return m_cst2provider;
    }
    
    public ITableContentProvider getCst3Provider() {
        if (m_cst3provider == null) {
            m_cst3provider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(listone), "#{row[2]}", "#{row[0]} #{row[2]}", "row");
            m_cst3provider.setFilterable(false);
        }
        return m_cst3provider;
    }
    
    public ITreeContentProvider getCstr1Provider() {
        if (m_cstr1provider == null) {
            m_cstr1provider = new FilterableListTreeContentProvider(
                    new ArrayList(listtwo), "row", "#{row[1]}", "#{row[0]}", null);
        }
        return m_cstr1provider;
    }
    
    public ITreeContentProvider getCstr2Provider() {
        if (m_cstr2provider == null) {
            m_cstr2provider = new LazyNodeTreeContentProvider(msdnlib.getRoots());
            m_cstr2provider.setRowVariable("row");
        }
        return m_cstr2provider;
    }
    
    public ITableContentProvider getSsl1Provider() {
        if (m_ssl1provider == null) {
            m_ssl1provider = new FilterableListTableContentProvider(
                    new ArrayList(listone), "#{row[0]} #{row[2]}", "row");
            m_ssl1provider.setFilterable(true);
        }
        return m_ssl1provider;
    }
    
    public ITableContentProvider getSsl2Provider() {
        if (m_ssl2provider == null) {
            m_ssl2provider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(listone), "#{row[2]}", "#{row[0]} #{row[2]}", "row");
            m_ssl2provider.setFilterable(true);
        }
        return m_ssl2provider;
    }
    
    public ITableContentProvider getSst1Provider() {
        if (m_sst1provider == null) {
            m_sst1provider = new FilterableListTableContentProvider(
                    new ArrayList(listone), "#{row[0]} #{row[2]}", "row");
            m_sst1provider.setFilterable(true);
        }
        return m_sst1provider;
    }
    
    public ITableContentProvider getSst2Provider() {
        if (m_sst2provider == null) {
            m_sst2provider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(listone), "#{row[2]}", "#{row[0]} #{row[2]}", "row");
            m_sst2provider.setFilterable(true);
        }
        return m_sst2provider;
    }
    
    public ITableContentProvider getSst3Provider() {
        if (m_sst3provider == null) {
            m_sst3provider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(listone), "#{row[2]}", "#{row[0]} #{row[2]}", "row");
            m_sst3provider.setFilterable(true);
        }
        return m_sst3provider;
    }
    
    public ITreeContentProvider getSstr1Provider() {
        if (m_sstr1provider == null) {
            m_sstr1provider = new FilterableListTreeContentProvider(
                    new ArrayList(listtwo), "row", "#{row[1]}", "#{row[0]}", null,
                    "#{row[1]} #{row[2]} #{row[3]}");
        }
        return m_sstr1provider;
    }
    
    public ITreeContentProvider getSstr2Provider() {
        if (m_sstr2provider == null) {
            m_sstr2provider = new LazyNodeTreeContentProvider(msdnlib.getRoots());
            m_sstr2provider.setRowVariable("row");
            m_sstr2provider.setRowFilterValueBindingAsString("#{row.title}");
            m_sstr2provider.setFilterable(true);
        }
        return m_sstr2provider;
    }
    
    public ITableContentProvider getRl1Provider() {
        if (m_rl1provider == null) {
            m_rl1provider = new FilterableListTableContentProvider(
                    new ArrayList(listone), "#{row[0]} #{row[2]}", "row");
            m_rl1provider.setFilterable(true);
        }
        return m_rl1provider;
    }
    
    public ITableContentProvider getRt1Provider() {
        if (m_rt1provider == null) {
            m_rt1provider = new FilterableListTableContentProvider(
                    new ArrayList(listone), "#{row[0]} #{row[2]}", "row");
            m_rt1provider.setFilterable(true);
        }
        return m_rt1provider;
    }
    
    public ITreeContentProvider getRtr1Provider() {
        if (m_rtr1provider == null) {
            m_rtr1provider = new FilterableListTreeContentProvider(
                    new ArrayList(listtwo), "row", "#{row[1]}", "#{row[0]}", null,
                    "#{row[1]} #{row[2]} #{row[3]}");
        }
        return m_rtr1provider;
    }
    
    public int getRl1First() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rl1First");
        if (s != null)
            return Integer.parseInt(s);
        return 0;
    }
    
    public int getRl1Rows() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rl1Rows");
        if (s != null)
            return Integer.parseInt(s);
        return 7;
    }
    
    public String getRl1Filter() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rl1Filter");
        if (s != null)
            return s;
        return "";
    }
    
    public int getRt1First() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rt1First");
        if (s != null)
            return Integer.parseInt(s);
        return 0;
    }
    
    public int getRt1Rows() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rt1Rows");
        if (s != null)
            return Integer.parseInt(s);
        return 5;
    }
    
    public ISortInfo getRt1Sort() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rt1Sort");
        return (s != null ? new SortInfo(s) : new SortInfo());
    }
    
    public String getRt1Filter() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rt1Filter");
        if (s != null)
            return s;
        return "";
    }
    
    public ISortInfo getRtr1Sort() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rtr1Sort");
        return (s != null ? new SortInfo(s) : new SortInfo());
    }
    
    public String getRtr1Filter() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("rtr1Filter");
        if (s != null)
            return s;
        return "";
    }

    public ITableContentProvider getFilteredListProvider() {
        if (m_filteredListProvider == null) {
            m_filteredListProvider = new FilterableSelectableListTableContentProvider(
                    new ArrayList(filteredList), "#{row}", "#{row}", "row");
            m_filteredListProvider.setFilterable(true);
        }
        return m_filteredListProvider;
    }
}
