package app;

import com.webmethods.caf.faces.bean.BasePageBean;

import org.apache.commons.fileupload.FileItem;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;

public class InputPage extends BasePageBean {
    protected FileItem m_simpleFile = new FileItem() {
        protected String m_fieldName;
        
        public void delete() {}
        public byte[] get() { return getString().getBytes(); }
        public String getContentType() { return "text/plain"; }
        public String getFieldName() { return m_fieldName; }
        public InputStream getInputStream() throws IOException {
            return new ByteArrayInputStream(get());
        }
        public String getName() { return "hi.txt"; }
        public OutputStream getOutputStream() throws IOException {
            return new ByteArrayOutputStream();
        }
        public long getSize() { return getString().length(); }
        public String getString() { return "Hi!"; }
        public String getString(String charset) throws UnsupportedEncodingException {
            return getString();
        }
        public boolean isFormField() { return false; }
        public boolean isInMemory() { return true; }
        public void setFieldName(String name) { m_fieldName = name; }
        public void setFormField(boolean isFormField) {}
        public void write(File file) throws Exception {
            FileOutputStream out = new FileOutputStream(file);
            out.write(get());
            out.close();
        }
    };
    protected FileItem m_advancedFile;
    protected FileItem m_disabledFile;
    protected FileItem m_readonlyFile = new FileItem() {
        protected String m_fieldName;
        
        public void delete() {}
        public byte[] get() { return getString().getBytes(); }
        public String getContentType() { return "text/html"; }
        public String getFieldName() { return m_fieldName; }
        public InputStream getInputStream() throws IOException {
            return new ByteArrayInputStream(get());
        }
        public String getName() { return "lo.html"; }
        public OutputStream getOutputStream() throws IOException {
            return new ByteArrayOutputStream();
        }
        public long getSize() { return getString().length(); }
        public String getString() { return "<p>Lo!</p>"; }
        public String getString(String charset) throws UnsupportedEncodingException {
            return getString();
        }
        public boolean isFormField() { return false; }
        public boolean isInMemory() { return true; }
        public void setFieldName(String name) { m_fieldName = name; }
        public void setFormField(boolean isFormField) {}
        public void write(File file) throws Exception {
            FileOutputStream out = new FileOutputStream(file);
            out.write(get());
            out.close();
        }
    };
    
    
    public FileItem getAdvancedFile() {
        return m_advancedFile;
    }
    public void setAdvancedFile(FileItem advancedFile) {
        m_advancedFile = advancedFile;
    }
    public FileItem getDisabledFile() {
        return m_disabledFile;
    }
    public void setDisabledFile(FileItem disabledFile) {
        m_disabledFile = disabledFile;
    }
    public FileItem getReadonlyFile() {
        return m_readonlyFile;
    }
    public void setReadonlyFile(FileItem readonlyFile) {
        m_readonlyFile = readonlyFile;
    }
    public FileItem getSimpleFile() {
        return m_simpleFile;
    }
    public void setSimpleFile(FileItem simpleFile) {
        m_simpleFile = simpleFile;
    }
}
