package app;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIData;
import javax.faces.component.html.HtmlDataTable;

public class LinkPageBean extends com.webmethods.caf.faces.bean.BasePageBean {
    
    public String[][] getCommandTable() {
        return new String[][] {
                new String[] { "one", "Apple", "air" },
                new String[] { "two", "Egg", "earth" },
                new String[] { "three", "Fried Egg", "fire" },
                new String[] { "four", "Watermelon", "water" },
        };
    }
    
    public String tableCommand() {
        FacesMessage facesMessage = new FacesMessage(FacesMessage.SEVERITY_INFO,
                "Table Command: " + resolveExpression("#{row[2]}"),
                (String) getFacesContext().getExternalContext().getRequestParameterMap().get("p3"));
        getFacesContext().addMessage(null, facesMessage);
        return "bluefish";
    }
    
    protected UIData commandTableComponent;
    
    public UIData getCommandTableComponent() {
        if (commandTableComponent == null)
            commandTableComponent = new HtmlDataTable();
        return commandTableComponent;
    }
    
    public void setCommandTableComponent(UIData value) {
        commandTableComponent = value;
    }
    
}