/**
 ** Copyright 2005 webMethods, Inc. All Rights Reserved.
 **/
package app;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;

import javax.faces.context.FacesContext;

import com.webmethods.caf.faces.data.ISelectableTableContentProvider;
import com.webmethods.caf.faces.data.ITableContentProvider;
import com.webmethods.caf.faces.data.object.SelectableListTableContentProvider;

/**
 * JsfViewTargetInfo@37b2e4
 */
public class SelectRowPageBean extends com.webmethods.caf.faces.bean.BasePageBean {
    protected SelectableListTableContentProvider m_meaContent
        = new SelectableListTableContentProvider(new ArrayList(Arrays.asList(new Object[][] {
            {"apple", new Integer(1), "one"},
            {"boy", new Integer(2), "two:$%^&*\"\'(ten"},
            {"cat", new Integer(3), "::three::four::"},
            {"doll", new Integer(1), "four"},
            {"apple", new Integer(2), "five"},
            {"boy", new Integer(3), "six"},
            {"cat", new Integer(1), "seven"},
            {"doll", new Integer(2), "eight"},
            {"apple", new Integer(3), "nine"},
            {"boy", new Integer(1), "ten"},
            {"cat", new Integer(2), "eleven"},
            {"doll", new Integer(3), "twelve"},
            {"apple", new Integer(1), "thirteen"},
            {"boy", new Integer(2), "fourteen"},
            {"cat", new Integer(3), "fifteen"},
            {"doll", new Integer(1), "sixteen"},
            {"apple", new Integer(2), "seventeen"},
            {"boy", new Integer(3), "eighteen"},
            {"cat", new Integer(1), "nineteen"},
            {"doll", new Integer(2), "twenty"},
    })), FacesContext.getCurrentInstance().getApplication().createValueBinding("#{row[2]}"));
    
    protected SelectableListTableContentProvider m_moreMeaContent
        = new SelectableListTableContentProvider(new ArrayList(m_meaContent.getList()));
    
    protected SelectableListTableContentProvider m_stillMoreMeaContent
    = new SelectableListTableContentProvider(new ArrayList(m_meaContent.getList()));
    
    public ITableContentProvider getMeaContent() {
        return m_meaContent;
    }
    
    public Collection getMeaContentSelectedIds() {
        return m_meaContent.getRowSelectedIds();
    }
    
    public ISelectableTableContentProvider getMoreMeaContent() {
        return m_moreMeaContent;
    }
    
    public Collection getMoreMeaContentSelectedIds() {
        return m_moreMeaContent.getRowSelectedIds();
    }
    
    public ISelectableTableContentProvider getStillMoreMeaContent() {
        return m_stillMoreMeaContent;
    }
    
    public Collection getStillMoreMeaContentSelectedIds() {
        return m_stillMoreMeaContent.getRowSelectedIds();
    }
}