/**
 ** Copyright 2005 webMethods, Inc. All Rights Reserved.
 **/
package app;

import com.webmethods.caf.faces.data.ITableContentProvider;
import com.webmethods.caf.faces.data.object.ListTableContentProvider;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * JsfViewTargetInfo@1bdcb36
 */
public class SimplePageBean extends com.webmethods.caf.faces.bean.BasePageBean {
    protected ListTableContentProvider m_meaContent = new ListTableContentProvider(Arrays.asList(new Object[][] {
            {"apple", new Integer(1), "one"},
            {"boy", new Integer(2), "two"},
            {"cat", new Integer(3), "three"},
            {"doll", new Integer(1), "four"},
            {"apple", new Integer(2), "five"},
            {"boy", new Integer(3), "six"},
            {"cat", new Integer(1), "seven"},
            {"doll", new Integer(2), "eight"},
            {"apple", new Integer(3), "nine"},
            {"boy", new Integer(1), "ten"},
            {"cat", new Integer(2), "eleven"},
            {"doll", new Integer(3), "twelve"},
            {"apple", new Integer(1), "thirteen"},
            {"boy", new Integer(2), "fourteen"},
            {"cat", new Integer(3), "fifteen"},
            {"doll", new Integer(1), "sixteen"},
            {"apple", new Integer(2), "seventeen"},
            {"boy", new Integer(3), "eighteen"},
            {"cat", new Integer(1), "nineteen"},
            {"doll", new Integer(2), "twenty"},
    }));
    
    protected ListTableContentProvider m_moreMeaContent = new ListTableContentProvider(new ArrayList(m_meaContent.getList()));

    protected ListTableContentProvider m_stillMoreMeaContent = new ListTableContentProvider(new ArrayList(m_meaContent.getList()));
    
    public ITableContentProvider getMeaContent() {
        return m_meaContent;
    }
    
    public ITableContentProvider getMoreMeaContent() {
        return m_moreMeaContent;
    }
    
    public ITableContentProvider getStillMoreMeaContent() {
        return m_stillMoreMeaContent;
    }
}