/**
 ** Copyright 2006 webMethods, Inc. All Rights Reserved.
 **/
package app;

import com.webmethods.caf.faces.bean.BasePageBean;
import com.webmethods.caf.faces.data.object.Schedule;
import com.webmethods.rtl.date.DateFields;

import java.util.Calendar;

/**
 * JavaTypeTargetInfo@1edd411
 */
public class SimpleSchedule extends BasePageBean {
    protected Schedule m_simple;
    protected Schedule m_advanced;
    protected Schedule m_readOnly;
    protected Schedule m_disabled;
    
    public Schedule getAdvanced() {
        if (m_advanced == null) {
            DateFields interval = new DateFields();
            interval.set(Calendar.HOUR_OF_DAY, 5);
            interval.set(Calendar.MINUTE, 5);
            
            DateFields at = new DateFields();
            at.set(Calendar.HOUR_OF_DAY, 10);
            at.set(Calendar.MINUTE, 10);
            
            m_advanced = new Schedule(interval, at);
        }
        return m_advanced;
    }
    public void setAdvanced(Schedule advanced) {
        m_advanced = advanced;
    }
    public Schedule getDisabled() {
        return m_disabled;
    }
    public void setDisabled(Schedule disabled) {
        m_disabled = disabled;
    }
    public Schedule getReadOnly() {
        return m_readOnly;
    }
    public void setReadOnly(Schedule readOnly) {
        m_readOnly = readOnly;
    }
    public Schedule getSimple() {
        return m_simple;
    }
    public void setSimple(Schedule simple) {
        m_simple = simple;
    }
    
    
    
}