package app;

import com.webmethods.caf.faces.bean.BasePageBean;
import com.webmethods.caf.faces.data.ISortInfo;
import com.webmethods.caf.faces.data.ITableContentProvider;
import com.webmethods.caf.faces.data.object.ListTableContentProvider;
import com.webmethods.caf.faces.data.object.SortInfo;

import java.util.ArrayList;
import java.util.Arrays;

import javax.faces.context.FacesContext;

public class SortLinkPageBean extends BasePageBean {
    protected ListTableContentProvider m_meaContent = new ListTableContentProvider(Arrays.asList(new Object[][] {
            {"apple", new Integer(1), "one"},
            {"boy", new Integer(2), "two"},
            {"cat", new Integer(3), "three"},
            {"doll", new Integer(1), "four"},
            {"apple", new Integer(2), "five"},
            {"boy", new Integer(3), "six"},
            {"cat", new Integer(1), "seven"},
            {"doll", new Integer(2), "eight"},
            {"apple", new Integer(3), "nine"},
            {"boy", new Integer(1), "ten"},
            {"cat", new Integer(2), "eleven"},
            {"doll", new Integer(3), "twelve"},
            {"apple", new Integer(1), "thirteen"},
            {"boy", new Integer(2), "fourteen"},
            {"cat", new Integer(3), "fifteen"},
            {"doll", new Integer(1), "sixteen"},
            {"apple", new Integer(2), "seventeen"},
            {"boy", new Integer(3), "eighteen"},
            {"cat", new Integer(1), "nineteen"},
            {"doll", new Integer(2), "twenty"},
    }));
    
    protected ListTableContentProvider m_moreMeaContent = new ListTableContentProvider(new ArrayList(m_meaContent.getList()));

    protected ListTableContentProvider m_stillMoreMeaContent = new ListTableContentProvider(new ArrayList(m_meaContent.getList()));
    
    public ITableContentProvider getMeaContent() {
        return m_meaContent;
    }
    
    public ITableContentProvider getMoreMeaContent() {
        return m_moreMeaContent;
    }
    
    public ITableContentProvider getStillMoreMeaContent() {
        return m_stillMoreMeaContent;
    }
    
    public int getMeaFirst() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("meaFirst");
        if (s != null)
            return Integer.parseInt(s);
        return 0;
    }
    
    public int getMeaRows() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("meaRows");
        if (s != null)
            return Integer.parseInt(s);
        return 10;
    }
    
    public ISortInfo getMeaSort() {
        FacesContext context = FacesContext.getCurrentInstance();
        String s = (String) context.getExternalContext().getRequestParameterMap().get("meaSort");
        return (s != null ? new SortInfo(s) : new SortInfo());
    }

    /**
     * Getter method for the control with id='name'
     */
    public com.webmethods.caf.faces.component.table.BaseExtendedColumn getName()  {
    	return (com.webmethods.caf.faces.component.table.BaseExtendedColumn)findComponentInRoot("name");
    }

    /**
     * Getter method for the control with id='tableTwo'
     */
    public com.webmethods.caf.faces.component.table.html.DataTable getTableTwo()  {
    	return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("tableTwo");
    }

    /**
     * Getter method for the control with id='id'
     */
    public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getId()  {
    	return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("id");
    }

    /**
     * Getter method for the control with id='number'
     */
    public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getNumber()  {
    	return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("number");
    }

    /**
     * Getter method for the control with id='word'
     */
    public com.webmethods.caf.faces.component.table.html.HtmlTableColumn getWord()  {
    	return (com.webmethods.caf.faces.component.table.html.HtmlTableColumn)findComponentInRoot("word");
    }

    /**
     * Getter method for the control with id='restfulTable'
     */
    public com.webmethods.caf.faces.component.table.html.DataTable getRestfulTable()  {
    	return (com.webmethods.caf.faces.component.table.html.DataTable)findComponentInRoot("restfulTable");
    }
}