/**
 ** Copyright 2005 webMethods, Inc. All Rights Reserved.
 **/
package app;

import com.webmethods.caf.faces.data.ITableContentProvider;
import com.webmethods.caf.faces.data.object.ListTableContentProvider;

import java.util.Arrays;

/**
 * JsfViewTargetInfo@22f1d3
 */
public class StackPageBean extends com.webmethods.caf.faces.bean.BasePageBean {
    protected String m_currentPanel = "child-two";
    protected ITableContentProvider m_tabsList = new ListTableContentProvider(Arrays.asList(new Object[][] {
            {"child-one", "Tab One"},
            {"child-two", "Tab Two"},
            {"child-three", "Tab Three"},
    }));
    
    /**
     * Getter method for the control with id='hiddenCommand'
     */
    public javax.faces.component.UICommand getHiddenCommand()  {
    	return (javax.faces.component.UICommand)findComponentInRoot("hiddenCommand");
    }
    
    public String getCurrentPanel() {
        return m_currentPanel;
    }
    
    public void setCurrentPanel(String currentPanel) {
        m_currentPanel = currentPanel;
    }
    
    public void gotoTab() {
        m_currentPanel = (String) getTabsList().getValue(new Integer(0));
    }
    
    public ITableContentProvider getTabsList() {
        return m_tabsList;
    }
}