/**
 ** Copyright 2005 webMethods, Inc. All Rights Reserved.
 **/
package app;

import com.webmethods.caf.faces.bean.BasePageBean;
import com.webmethods.caf.faces.data.ITableContentProvider;
import com.webmethods.caf.faces.data.object.SelectableListTableContentProvider;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

/**
 * JsfViewTargetInfo@37b2e4
 */
public class TemplatePageBean extends BasePageBean {
    protected int m_nextId = 1;
    
    protected SelectableListTableContentProvider m_meaContent
        = new SelectableListTableContentProvider(new ArrayList(Arrays.asList(new Object[][] {
            {new Integer(m_nextId++), "apothecary", "Alice"},
            {new Integer(m_nextId++), "baker", "Bart"},
            {new Integer(m_nextId++), "candlestick maker", "Carla"},
    })), FacesContext.getCurrentInstance().getApplication().createValueBinding("#{row[0]}")) {
        public boolean getCanTemplateRow() {
            return true;
        }
        protected Object newRow() {
            return new Object[] {new Integer(m_nextId++), "", ""};
        }
    };
    
    protected SelectableListTableContentProvider m_moreMeaContent
        = new SelectableListTableContentProvider(new ArrayList(Arrays.asList(new Object[][] {
            {new Integer(m_nextId++), "apothecary", "Alice"},
            {new Integer(m_nextId++), "baker", "Bart"},
            {new Integer(m_nextId++), "candlestick maker", "Carla"},
    })), FacesContext.getCurrentInstance().getApplication().createValueBinding("#{row[0]}")) {
        public boolean getCanTemplateRow() {
            return true;
        }
        protected Object newRow() {
            return new Object[] {new Integer(m_nextId++), "", ""};
        }
    };
    
    protected SelectableListTableContentProvider m_stillMoreMeaContent
        = new SelectableListTableContentProvider(new ArrayList(Arrays.asList(new Object[][] {
            {new Integer(m_nextId++), "apothecary", "Alice"},
            {new Integer(m_nextId++), "baker", "Bart"},
            {new Integer(m_nextId++), "candlestick maker", "Carla"},
    })), FacesContext.getCurrentInstance().getApplication().createValueBinding("#{row[0]}")) {
        public boolean getCanTemplateRow() {
            return true;
        }
        protected Object newRow() {
            return new Object[] {new Integer(m_nextId++), "", ""};
        }
    };
    
    protected int m_daCount = 0;
    
    public ITableContentProvider getMeaContent() {
        return m_meaContent;
    }
    
    public Collection getMeaContentSelectedIds() {
        return m_meaContent.getRowSelectedIds();
    }
    
    public ITableContentProvider getMoreMeaContent() {
        return m_moreMeaContent;
    }
    
    public Collection getMoreMeaContentSelectedIds() {
        return m_moreMeaContent.getRowSelectedIds();
    }
    
    public ITableContentProvider getStillMoreMeaContent() {
        return m_stillMoreMeaContent;
    }
    
    public Collection getStillMoreMeaContentSelectedIds() {
        return m_stillMoreMeaContent.getRowSelectedIds();
    }
    
    public int getDaCount() {
        return ++m_daCount;
    }
    
    public void applyChanges() {
        
    }
    
    public void testCommand() {
        getFacesContext().addMessage(null, new FacesMessage("row " + getMeaContent().getRowIndex()));
    }
}