package app.template;


public class MultiImporter extends com.webmethods.caf.faces.bean.BasePageBean {

	/**
     * Determines if a de-serialized file is compatible with this class.
     *
     * Maintainers must change this value if and only if the new version
     * of this class is not compatible with old versions. See Sun docs
     * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
     * details. </a>
     */
    private static final long serialVersionUID = 1L;
    private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}
    
    public void mxyzptlk() {
        if (M1_TEMPLATE.equals(m_template))
            m_template = M2_TEMPLATE;
        else
            m_template = M1_TEMPLATE;
    }
    
    
    public static final String M1_TEMPLATE = "/view/logic/templating/m1-template.view";
    public static final String M2_TEMPLATE = "/view/logic/templating/m2-template.view";
    protected String m_template = M1_TEMPLATE;

    public String getTemplate() {
        return m_template;
    }

    public void setTemplate(String template) {
        m_template = template;
    }
}