package com.webmethods.caf.theportlet;

import java.util.ArrayList;
import java.util.List;



public class ViewoutputchartView extends com.webmethods.caf.faces.bean.BasePortletPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};

	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}
	private List<DataElement> chartData = null;
	private com.webmethods.caf.faces.data.object.ListTableContentProvider chartDataProvider = null;
	private static final String[][] CHARTDATAPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{chartDataProvider.rowType}", "com.webmethods.caf.theportlet.DataElement"},
		{"#{chartDataProvider.rowVariable}", "row"},
		{"#{chartDataProvider.rowIdBinding}", "#{row.name}"},
		{"#{chartDataProvider.list}", "#{ViewoutputchartView.chartData}"},
	};
	public List<DataElement> getChartData() {
		if (chartData == null) {
			chartData = new ArrayList<DataElement>();
		    chartData.add(new DataElement("JavaScript", "100"));
		    chartData.add(new DataElement("CSS", "200"));
		    chartData.add(new DataElement("HTML", "500"));
		    chartData.add(new DataElement("Firefox", "50"));
		    chartData.add(new DataElement("Safari", "75"));
		}
		return chartData;
	}

	public com.webmethods.caf.faces.data.object.ListTableContentProvider getChartDataProvider()  {
		if (chartDataProvider == null) {
		    chartDataProvider = (com.webmethods.caf.faces.data.object.ListTableContentProvider)resolveExpression("#{ChartDataProvider}");
		}
	
	    resolveDataBinding(CHARTDATAPROVIDER_PROPERTY_BINDINGS, chartDataProvider, "chartDataProvider", false, false);
		return chartDataProvider;
	}
	
	
}