/**
 * 
 */
package com.webmethods.portlet;

/**
 * @author Eric Norman
 *
 */
public class EncodersPage extends com.webmethods.caf.faces.bean.BasePageBean {

	protected String fAsciiText = null;
	protected String fBase64Text = null;
	protected String fCharRefText = null;
	protected String fHexText = null;
	protected String fHtmlText = null;
	protected String fJavaText = null;
	protected String fJsText = null;
	protected String fRegexpText = null;
	protected String fToolTipText = null;
	protected String fUrlText = null;
	protected String fXmlText = null;

	private com.webmethods.caf.faces.bean.EncodersBean encodersBean = null;
	private static final String[][] ENCODERSBEAN_PROPERTY_BINDINGS = new String[][] {
	};

	public com.webmethods.caf.faces.bean.EncodersBean getEncodersBean()  {
		if (encodersBean == null) {
		    encodersBean = (com.webmethods.caf.faces.bean.EncodersBean)resolveExpression("#{EncodersBean}");
		}
	
	    resolveDataBinding(ENCODERSBEAN_PROPERTY_BINDINGS, encodersBean, null);
		return encodersBean;
	}

	/**
	 * @return the asciiText
	 */
	public String getAsciiText() {
		return fAsciiText;
	}

	/**
	 * @param asciiText the asciiText to set
	 */
	public void setAsciiText(String asciiText) {
		fAsciiText = asciiText;
	}

	/**
	 * @return the base64Text
	 */
	public String getBase64Text() {
		return fBase64Text;
	}

	/**
	 * @param base64Text the base64Text to set
	 */
	public void setBase64Text(String base64Text) {
		fBase64Text = base64Text;
	}

	/**
	 * @return the charRefText
	 */
	public String getCharRefText() {
		return fCharRefText;
	}

	/**
	 * @param charRefText the charRefText to set
	 */
	public void setCharRefText(String charRefText) {
		fCharRefText = charRefText;
	}


	/**
	 * @return the hexText
	 */
	public String getHexText() {
		return fHexText;
	}

	/**
	 * @param hexText the hexText to set
	 */
	public void setHexText(String hexText) {
		fHexText = hexText;
	}



	/**
	 * @return the htmlText
	 */
	public String getHtmlText() {
		return fHtmlText;
	}

	/**
	 * @param htmlText the htmlText to set
	 */
	public void setHtmlText(String htmlText) {
		fHtmlText = htmlText;
	}

	/**
	 * @return the javaText
	 */
	public String getJavaText() {
		return fJavaText;
	}

	/**
	 * @param javaText the javaText to set
	 */
	public void setJavaText(String javaText) {
		fJavaText = javaText;
	}

	/**
	 * @return the jSText
	 */
	public String getJsText() {
		return fJsText;
	}

	/**
	 * @param text the jSText to set
	 */
	public void setJsText(String text) {
		fJsText = text;
	}

	/**
	 * @return the regexpText
	 */
	public String getRegexpText() {
		return fRegexpText;
	}

	/**
	 * @param regexpText the regexpText to set
	 */
	public void setRegexpText(String regexpText) {
		fRegexpText = regexpText;
	}

	/**
	 * @return the toolTipText
	 */
	public String getToolTipText() {
		return fToolTipText;
	}

	/**
	 * @param toolTipText the toolTipText to set
	 */
	public void setToolTipText(String toolTipText) {
		fToolTipText = toolTipText;
	}

	/**
	 * @return the urlText
	 */
	public String getUrlText() {
		return fUrlText;
	}

	/**
	 * @param urlText the urlText to set
	 */
	public void setUrlText(String urlText) {
		fUrlText = urlText;
	}

	/**
	 * @return the xmlText
	 */
	public String getXmlText() {
		return fXmlText;
	}

	/**
	 * @param xmlText the xmlText to set
	 */
	public void setXmlText(String xmlText) {
		fXmlText = xmlText;
	}

	/**
	 * Getter method for the control with id='result'
	 */
	public javax.faces.component.html.HtmlPanelGroup getResult()  {
		return (javax.faces.component.html.HtmlPanelGroup)findComponentInRoot("result");
	}
	
	
	
}