package com.webmethods.portlet;

import java.util.ArrayList;
import java.util.List;

import javax.faces.FacesException;
import javax.faces.application.FacesMessage;

import com.webmethods.caf.faces.data.portal.PortalItemModel;
import com.webmethods.portal.PortalException;
import com.webmethods.portal.service.meta2.thing.IThingID;
import com.webmethods.portal.system.IURI;
import com.webmethods.portal.system.PortalSystem;

public class Portal_resource_pickerPage extends com.webmethods.caf.faces.bean.BasePageBean {

	protected PortalItemModel fPortalItem = null;
	protected PortalItemModel fPortalItemPreSelected = null;

	protected String fPortalItemString = null;
	protected String fPortalItemStringPreSelected = null;

	protected IURI fPortalItemURI = null;
	protected IURI fPortalItemURIPreSelected = null;

	protected List<PortalItemModel> fPortalItems = null;
	protected List<PortalItemModel> fPortalItemsPreSelected = null;
	
	protected List<String> fPortalItemStrings = null;
	protected List<String> fPortalItemStringsPreSelected = null;

	protected List<IURI> fPortalItemURIs = null;
	protected List<IURI> fPortalItemURIsPreSelected = null;
	/**
	 * @return the portalItem
	 */
	public PortalItemModel getPortalItem() {
		return fPortalItem;
	}
	/**
	 * @param portalItem the portalItem to set
	 */
	public void setPortalItem(PortalItemModel portalItem) {
		fPortalItem = portalItem;
	}
	/**
	 * @return the portalItemPreSelected
	 */
	public PortalItemModel getPortalItemPreSelected() {
		if (fPortalItemPreSelected == null) {
			try {
				fPortalItemPreSelected = new PortalItemModel((IThingID)PortalSystem.getPortalSystem().acquireURI("folder.public"));
			} catch (PortalException e) {
				throw new FacesException(e);
			}
		}
	
		return fPortalItemPreSelected;
	}
	/**
	 * @param portalItemPreSelected the portalItemPreSelected to set
	 */
	public void setPortalItemPreSelected(PortalItemModel portalItemPreSelected) {
		fPortalItemPreSelected = portalItemPreSelected;
	}
	/**
	 * @return the portalItems
	 */
	public List<PortalItemModel> getPortalItems() {
		return fPortalItems;
	}
	/**
	 * @param portalItems the portalItems to set
	 */
	public void setPortalItems(List<PortalItemModel> portalItems) {
		fPortalItems = portalItems;
	}
	/**
	 * @return the portalItemsPreSelected
	 */
	public List<PortalItemModel> getPortalItemsPreSelected() {
		if (fPortalItemsPreSelected == null) {
			try {
				fPortalItemsPreSelected = new ArrayList<PortalItemModel>();
				fPortalItemsPreSelected.add(new PortalItemModel((IThingID)PortalSystem.getPortalSystem().acquireURI("folder.public")));
			} catch (PortalException e) {
				throw new FacesException(e);
			}
		}
	
		return fPortalItemsPreSelected;
	}
	/**
	 * @param portalItemsPreSelected the portalItemsPreSelected to set
	 */
	public void setPortalItemsPreSelected(List<PortalItemModel> portalItemsPreSelected) {
		fPortalItemsPreSelected = portalItemsPreSelected;
	}
	/**
	 * @return the portalItemString
	 */
	public String getPortalItemString() {
		return fPortalItemString;
	}
	/**
	 * @param portalItemString the portalItemString to set
	 */
	public void setPortalItemString(String portalItemString) {
		fPortalItemString = portalItemString;
	}
	/**
	 * @return the portalItemStringPreSelected
	 */
	public String getPortalItemStringPreSelected() {
		if (fPortalItemStringPreSelected == null) {
			try {
				fPortalItemStringPreSelected = PortalSystem.getPortalSystem().acquireURI("folder.public").toString();
			} catch (PortalException e) {
				throw new FacesException(e);
			}
		}
	
		return fPortalItemStringPreSelected;
	}
	/**
	 * @param portalItemStringPreSelected the portalItemStringPreSelected to set
	 */
	public void setPortalItemStringPreSelected(String portalItemStringPreSelected) {
		fPortalItemStringPreSelected = portalItemStringPreSelected;
	}
	/**
	 * @return the portalItemStrings
	 */
	public List<String> getPortalItemStrings() {
		return fPortalItemStrings;
	}
	/**
	 * @param portalItemStrings the portalItemStrings to set
	 */
	public void setPortalItemStrings(List<String> portalItemStrings) {
		fPortalItemStrings = portalItemStrings;
	}
	/**
	 * @return the portalItemStringsPreSelected
	 */
	public List<String> getPortalItemStringsPreSelected() {
		if (fPortalItemStringsPreSelected == null) {
			fPortalItemStringsPreSelected = new ArrayList<String>();
			try {
				fPortalItemStringsPreSelected.add(PortalSystem.getPortalSystem().acquireURI("folder.public").toString());
			} catch (PortalException e) {
				throw new FacesException(e);
			}
		}
	
		return fPortalItemStringsPreSelected;
	}
	/**
	 * @param portalItemStringsPreSelected the portalItemStringsPreSelected to set
	 */
	public void setPortalItemStringsPreSelected(List<String> portalItemStringsPreSelected) {
		fPortalItemStringsPreSelected = portalItemStringsPreSelected;
	}
	/**
	 * @return the portalItemURI
	 */
	public IURI getPortalItemURI() {
		return fPortalItemURI;
	}
	/**
	 * @param portalItemURI the portalItemURI to set
	 */
	public void setPortalItemURI(IURI portalItemURI) {
		fPortalItemURI = portalItemURI;
	}
	/**
	 * @return the portalItemURIPreSelected
	 */
	public IURI getPortalItemURIPreSelected() {
		if (fPortalItemURIPreSelected == null) {
			try {
				fPortalItemURIPreSelected = PortalSystem.getPortalSystem().acquireURI("folder.public");
			} catch (PortalException e) {
				throw new FacesException(e);
			}
		}
	
		return fPortalItemURIPreSelected;
	}
	/**
	 * @param portalItemURIPreSelected the portalItemURIPreSelected to set
	 */
	public void setPortalItemURIPreSelected(IURI portalItemURIPreSelected) {
		fPortalItemURIPreSelected = portalItemURIPreSelected;
	}
	/**
	 * @return the portalItemURIs
	 */
	public List<IURI> getPortalItemURIs() {
		return fPortalItemURIs;
	}
	/**
	 * @param portalItemURIs the portalItemURIs to set
	 */
	public void setPortalItemURIs(List<IURI> portalItemURIs) {
		fPortalItemURIs = portalItemURIs;
	}
	/**
	 * @return the portalItemURIsPreSelected
	 */
	public List<IURI> getPortalItemURIsPreSelected() {
		if (fPortalItemURIsPreSelected == null) {
			fPortalItemURIsPreSelected = new ArrayList<IURI>();
			try {
				fPortalItemURIsPreSelected.add(PortalSystem.getPortalSystem().acquireURI("folder.public"));
			} catch (PortalException e) {
				throw new FacesException(e);
			}
		}
		return fPortalItemURIsPreSelected;
	}
	/**
	 * @param portalItemURIsPreSelected the portalItemURIsPreSelected to set
	 */
	public void setPortalItemURIsPreSelected(List<IURI> portalItemURIsPreSelected) {
		fPortalItemURIsPreSelected = portalItemURIsPreSelected;
	}
	/**
	 * Action Event Handler for the control with id='singleResourceModelPicker'
	 */
	public String singleResourceModelPicker_action() {
		error(FacesMessage.SEVERITY_INFO, "Custom Apply Action Executed", null);
	    
	    return OUTCOME_OK;
	}
	

	
	
}