/**
 ** Copyright 2006 webMethods, Inc. All Rights Reserved.
 **/

package com.webmethods.portlet.searchresult;

import java.util.Date;
import java.util.Random;

import com.webmethods.caf.faces.component.table.html.DataTable;

/**
 * @author local_enorman
 *
 */
public class SearchresultViewPage extends com.webmethods.caf.faces.bean.search.BaseTableSearchResultPageBean {

	private com.webmethods.portlet.searchresult.SearchresultBean searchresultBean = null;
	private SampleSearchResult[] fSampleSearchResults;
	private java.util.Date dateMe;

	public com.webmethods.portlet.searchresult.SearchresultBean getSearchresultBean()  {
		if (searchresultBean == null) {
		    searchresultBean = (com.webmethods.portlet.searchresult.SearchresultBean)resolveExpression("#{SearchresultBean}");
		}
		return searchresultBean;
	}
	
	public SampleSearchResult [] getSearchResults() {
		if (fSampleSearchResults == null || isQueryChanged()) {
			fSampleSearchResults = new SampleSearchResult [25];
			Random random = new Random(System.currentTimeMillis());
			String keywords = getActiveSearchQuery().getKeywordsField();
			for (int i=0; i < fSampleSearchResults.length; i++) {
				
				fSampleSearchResults[i] = new SampleSearchResult("result " + i, keywords + " " + i, new Date(random.nextLong()));
			}
		}
		return fSampleSearchResults;
	}

	public static class SampleSearchResult {
		protected String fName;
		protected String fDescription;
		protected Date fDate;

		public SampleSearchResult(String name, String description, Date date) {
			fName = name;
			fDescription = description;
			fDate = date;
		}
		
		/**
		 * @return the date
		 */
		public Date getDate() {
			return fDate;
		}
		/**
		 * @param date the date to set
		 */
		public void setDate(Date date) {
			fDate = date;
		}
		/**
		 * @return the description
		 */
		public String getDescription() {
			return fDescription;
		}
		/**
		 * @param description the description to set
		 */
		public void setDescription(String description) {
			fDescription = description;
		}
		/**
		 * @return the name
		 */
		public String getName() {
			return fName;
		}
		/**
		 * @param name the name to set
		 */
		public void setName(String name) {
			fName = name;
		}
		
	}

	/**
	 * Getter method for the control with id='searchResultsTableControl'
	 */
	public com.webmethods.caf.faces.component.search.SearchResultTable getSearchResultsTableControl()  {
		return (com.webmethods.caf.faces.component.search.SearchResultTable)findComponentInRoot("searchResultsTableControl");
	}

	public java.util.Date getDateMe()  {
		
		return dateMe;
	}


}