package com.webmethods.caf;


public class ErrorHandlingServiceErrorView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private com.webmethods.service.error.ErrorServiceContentProvider errorProducer = null;
	private static final String[][] ERRORPRODUCER_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.service.error.ErrorServiceContentProvider errorProducer_summary = null;
	private com.webmethods.caf.faces.data.error.BaseErrorHandler errorHandler_summary = null;
	private static final String[][] ERRORPRODUCER_SUMMARY_PROPERTY_BINDINGS = new String[][] {
		{"#{errorProducer_summary.errorHandler}", "#{ErrorHandlingServiceErrorView.errorHandler_summary}"},
	};
	private com.webmethods.service.error.ErrorServiceContentProvider errorProducer_nodetails = null;
	private com.webmethods.caf.faces.data.error.BaseErrorHandler errorHandler_nodetails = null;
	private static final String[][] ERRORPRODUCER_NODETAILS_PROPERTY_BINDINGS = new String[][] {
		{"#{errorProducer_nodetails.errorHandler}", "#{ErrorHandlingServiceErrorView.errorHandler_nodetails}"},
	};
	private com.webmethods.service.error.ErrorServiceContentProvider errorProducer_customdisplay = null;
	private com.webmethods.caf.faces.data.error.BaseErrorHandler errorHandler_customdisplay = null;
	private static final String[][] ERRORPRODUCER_CUSTOMDISPLAY_PROPERTY_BINDINGS = new String[][] {
		{"#{errorProducer_customdisplay.errorHandler}", "#{ErrorHandlingServiceErrorView.errorHandler_customdisplay}"},
	};
	private static final String[][] ERRORHANDLER_CUSTOMDISPLAY_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler_customdisplay.action}", "none"},
	};
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.service.error.ErrorServiceContentProvider errorProducer_errorpage = null;
	private static final String[][] ERRORPRODUCER_ERRORPAGE_PROPERTY_BINDINGS = new String[][] {
		{"#{errorProducer_errorpage.errorHandler}", "#{ErrorHandlingServiceErrorView.errorHandler_errorpage}"},
	};
	private com.webmethods.caf.faces.data.error.BaseErrorHandler errorHandler_errorpage = null;
	private static final String[][] ERRORHANDLER_ERRORPAGE_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler_errorpage.action}", "redirect to error page"},
		{"#{errorHandler_errorpage.errorPage}", "/view/ErrorHandling/ErrorReport.view"},
	};
	private com.webmethods.service.error.ErrorServiceContentProvider errorProducer_dialog = null;
	private com.webmethods.caf.faces.data.error.BaseErrorHandler errorHandler_dialog = null;
	private static final String[][] ERRORHANDLER_DIALOG_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler_dialog.action}", "none"},
	};
	private static final String[][] ERRORPRODUCER_DIALOG_PROPERTY_BINDINGS = new String[][] {
		{"#{errorProducer_dialog.errorHandler}", "#{ErrorHandlingServiceErrorView.errorHandler_dialog}"},
	};
	private static final String[][] ERRORHANDLER_SUMMARY_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler_summary.action}", "report error summary and details"},
		{"#{errorHandler_summary.summary}", "FATAL Error Occurred: {0}"},
		{"#{errorHandler_summary.severity}", "FATAL"},
	};
	private static final String[][] ERRORHANDLER_NODETAILS_PROPERTY_BINDINGS = new String[][] {
		{"#{errorHandler_nodetails.action}", "report error details"},
		{"#{errorHandler_nodetails.severity}", "INFO"},
		{"#{errorHandler_nodetails.summary}", "Service Error: {0}"},
	};
	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

	public com.webmethods.service.error.ErrorServiceContentProvider getErrorProducer()  {
		if (errorProducer == null) {
		    errorProducer = (com.webmethods.service.error.ErrorServiceContentProvider)resolveExpression("#{ErrorProducer}");
		}
	
	    resolveDataBinding(ERRORPRODUCER_PROPERTY_BINDINGS, errorProducer, "errorProducer", false, false);
		return errorProducer;
	}

	public com.webmethods.service.error.ErrorServiceContentProvider getErrorProducer_summary()  {
		if (errorProducer_summary == null) {
		    errorProducer_summary = (com.webmethods.service.error.ErrorServiceContentProvider)resolveExpression("#{ErrorProducer_summary}");
		}
	
	    resolveDataBinding(ERRORPRODUCER_SUMMARY_PROPERTY_BINDINGS, errorProducer_summary, "errorProducer_summary", false, false);
		return errorProducer_summary;
	}

	public com.webmethods.caf.faces.data.error.BaseErrorHandler getErrorHandler_summary()  {
		if (errorHandler_summary == null) {
		    errorHandler_summary = (com.webmethods.caf.faces.data.error.BaseErrorHandler)resolveExpression("#{ErrorHandler_summary}");
		}
	
	    resolveDataBinding(ERRORHANDLER_SUMMARY_PROPERTY_BINDINGS, errorHandler_summary, "errorHandler_summary", false, false);
		return errorHandler_summary;
	}

	public com.webmethods.service.error.ErrorServiceContentProvider getErrorProducer_nodetails()  {
		if (errorProducer_nodetails == null) {
		    errorProducer_nodetails = (com.webmethods.service.error.ErrorServiceContentProvider)resolveExpression("#{ErrorProducer_nodetails}");
		}
	
	    resolveDataBinding(ERRORPRODUCER_NODETAILS_PROPERTY_BINDINGS, errorProducer_nodetails, "errorProducer_nodetails", false, false);
		return errorProducer_nodetails;
	}

	public com.webmethods.caf.faces.data.error.BaseErrorHandler getErrorHandler_nodetails()  {
		if (errorHandler_nodetails == null) {
		    errorHandler_nodetails = (com.webmethods.caf.faces.data.error.BaseErrorHandler)resolveExpression("#{ErrorHandler_nodetails}");
		}
	
	    resolveDataBinding(ERRORHANDLER_NODETAILS_PROPERTY_BINDINGS, errorHandler_nodetails, "errorHandler_nodetails", false, false);
		return errorHandler_nodetails;
	}

	public com.webmethods.service.error.ErrorServiceContentProvider getErrorProducer_customdisplay()  {
		if (errorProducer_customdisplay == null) {
		    errorProducer_customdisplay = (com.webmethods.service.error.ErrorServiceContentProvider)resolveExpression("#{ErrorProducer_customdisplay}");
		}
	
	    resolveDataBinding(ERRORPRODUCER_CUSTOMDISPLAY_PROPERTY_BINDINGS, errorProducer_customdisplay, "errorProducer_customdisplay", false, false);
		return errorProducer_customdisplay;
	}

	public com.webmethods.caf.faces.data.error.BaseErrorHandler getErrorHandler_customdisplay()  {
		if (errorHandler_customdisplay == null) {
		    errorHandler_customdisplay = (com.webmethods.caf.faces.data.error.BaseErrorHandler)resolveExpression("#{ErrorHandler_customdisplay}");
		}
	
	    resolveDataBinding(ERRORHANDLER_CUSTOMDISPLAY_PROPERTY_BINDINGS, errorHandler_customdisplay, "errorHandler_customdisplay", false, false);
		return errorHandler_customdisplay;
	}

	public com.webmethods.service.error.ErrorServiceContentProvider getErrorProducer_errorpage()  {
		if (errorProducer_errorpage == null) {
		    errorProducer_errorpage = (com.webmethods.service.error.ErrorServiceContentProvider)resolveExpression("#{ErrorProducer_errorpage}");
		}
	
	    resolveDataBinding(ERRORPRODUCER_ERRORPAGE_PROPERTY_BINDINGS, errorProducer_errorpage, "errorProducer_errorpage", false, false);
		return errorProducer_errorpage;
	}

	public com.webmethods.caf.faces.data.error.BaseErrorHandler getErrorHandler_errorpage()  {
		if (errorHandler_errorpage == null) {
		    errorHandler_errorpage = (com.webmethods.caf.faces.data.error.BaseErrorHandler)resolveExpression("#{ErrorHandler_errorpage}");
		}
	
	    resolveDataBinding(ERRORHANDLER_ERRORPAGE_PROPERTY_BINDINGS, errorHandler_errorpage, "errorHandler_errorpage", false, false);
		return errorHandler_errorpage;
	}

	public com.webmethods.service.error.ErrorServiceContentProvider getErrorProducer_dialog()  {
		if (errorProducer_dialog == null) {
		    errorProducer_dialog = (com.webmethods.service.error.ErrorServiceContentProvider)resolveExpression("#{ErrorProducer_dialog}");
		}
	
	    resolveDataBinding(ERRORPRODUCER_DIALOG_PROPERTY_BINDINGS, errorProducer_dialog, "errorProducer_dialog", false, false);
		return errorProducer_dialog;
	}

	public com.webmethods.caf.faces.data.error.BaseErrorHandler getErrorHandler_dialog()  {
		if (errorHandler_dialog == null) {
		    errorHandler_dialog = (com.webmethods.caf.faces.data.error.BaseErrorHandler)resolveExpression("#{ErrorHandler_dialog}");
		}
	
	    resolveDataBinding(ERRORHANDLER_DIALOG_PROPERTY_BINDINGS, errorHandler_dialog, "errorHandler_dialog", false, false);
		return errorHandler_dialog;
	}

}