package com.webmethods.caf;

import com.webmethods.caf.faces.data.object.ListTableContentProvider;
import com.webmethods.service.SampleItem;



public class ListTablePage extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	private static final long serialVersionUID = 1L;
	private com.webmethods.caf.faces.data.object.ListTableContentProvider itemArrayTableProvider = null;
	private com.webmethods.service.SampleEchoService echoService = null;
	private static final String[][] ECHOSERVICE_PROPERTY_BINDINGS = new String[][] {
		{"#{echoService.input}", "#{ListTablePage.itemArrayTableProvider.array}"},
		{"#{echoService.autoRefresh}", "true"},
	};
	private static final String[][] INITIALIZENEWROW_PROPERTY_BINDINGS = new String[][] {
		{"#{ListTablePage.itemArrayTableProvider.id}", "#{ListTablePage.itemArrayTableProvider.rowCount + 1}"},
		{"#{ListTablePage.itemArrayTableProvider.name}", "new name"},
		{"#{ListTablePage.itemArrayTableProvider.description}", "no description"},
	};
	private static final String[][] ITEMARRAYTABLEPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{itemArrayTableProvider.rowVariable}", "row"},
		{"#{itemArrayTableProvider.rowIdBinding}", "#{row.id}"},
		{"#{itemArrayTableProvider.rowType}", "com.webmethods.service.SampleItem"},
	};
	
	@SuppressWarnings("serial")
	public ListTableContentProvider getItemArrayTableProvider()  {
		if (itemArrayTableProvider == null) {
		    itemArrayTableProvider = new ListTableContentProvider() {
				@Override
				protected Object newRow() {
					SampleItem item = (SampleItem)super.newRow();
					item.setId(this.getRowCount() + 1); // simplistic case of id generation
					return item;
				}
		    };
		    itemArrayTableProvider.setRowType(SampleItem.class);
		}
	
	    resolveDataBinding(ITEMARRAYTABLEPROVIDER_PROPERTY_BINDINGS, itemArrayTableProvider, "itemArrayTableProvider", false, false);
		return itemArrayTableProvider;
	}

	public com.webmethods.service.SampleEchoService getEchoService()  {
		if (echoService == null) {
			echoService = new com.webmethods.service.SampleEchoService();
		}
	
	    resolveDataBinding(ECHOSERVICE_PROPERTY_BINDINGS, echoService, "echoService", false, false);
		return echoService;
	}

	public String initializeNewRow() {
	    resolveDataBinding(INITIALIZENEWROW_PROPERTY_BINDINGS, this, "initializeNewRow.this", true, false);
		return OUTCOME_OK;
	}

}