package com.webmethods.caf;


public class ViewDatabaseMasterDetailsView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider orders = null;
	private com.webmethods.caf.faces.data.sql.RowSetTableContentProvider orderDetails = null;
	private static final String[][] ORDERS_PROPERTY_BINDINGS = new String[][] {
		{"#{orders.autoRefresh}", "true"},
	};
	private static final String[][] ORDERDETAILS_PROPERTY_BINDINGS = new String[][] {
		{"#{orderDetails.autoRefresh}", "false"},
		{"#{orderDetails.parameters[\"0\"]}", "#{ViewDatabaseMasterDetailsView.orders.OrderID}"},
	};
	/**
	 * Initialize page
	 */
	public String initialize() {
		try {
		    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, null, "initialize", true, false);

			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrders()  {
		if (orders == null) {
		    orders = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{Orders}");
		}
	
	    resolveDataBinding(ORDERS_PROPERTY_BINDINGS, orders, "orders", false, false);
		return orders;
	}

	public com.webmethods.caf.faces.data.sql.RowSetTableContentProvider getOrderDetails()  {
		if (orderDetails == null) {
		    orderDetails = (com.webmethods.caf.faces.data.sql.RowSetTableContentProvider)resolveExpression("#{OrderDetails}");
		}
	
	    resolveDataBinding(ORDERDETAILS_PROPERTY_BINDINGS, orderDetails, "orderDetails", false, false);
		return orderDetails;
	}
	
}