package com.webmethods.caf;

import com.webmethods.caf.faces.data.object.SelectableListTableContentProvider;
import com.webmethods.service.SampleData;


public class ViewTableSelectionView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	private static final long serialVersionUID = 1L;

	private SampleData sampleDataBean = null;
	private static final String[][] SAMPLEDATABEAN_PROPERTY_BINDINGS = new String[][] {
	};
	private com.webmethods.caf.faces.data.object.SelectableListTableContentProvider selectionProvider = null;
	private String[] selectedIDs = null;
	private static final String[][] SELECTEDIDS_PROPERTY_BINDINGS = new String[][] {
	};
	private static final String[][] PROCESSSELECTION_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewTableSelectionView.selectedIDs}", "#{ViewTableSelectionView.selectionProvider.rowSelectedIds}"},
	};
	private static final String[][] SELECTIONPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{selectionProvider.rowVariable}", "row"},
		{"#{selectionProvider.rowIdBinding}", "#{row.id}"},
		{"#{selectionProvider.array}", "#{ViewTableSelectionView.sampleDataBean.itemArray}"},
	};
	private static final String[][] INITIALIZE_PROPERTY_BINDINGS = new String[][] {
		{"#{ViewTableSelectionView.selectionProvider.rowSelectedIds}", "3"},
	};
	public SampleData getSampleDataBean()  {
		if (sampleDataBean == null) {
		    sampleDataBean = (SampleData)resolveExpression("#{SampleDataBean}");
		}
	
	    resolveDataBinding(SAMPLEDATABEAN_PROPERTY_BINDINGS, sampleDataBean, "sampleDataBean", false, false);
		return sampleDataBean;
	}

	public SelectableListTableContentProvider getSelectionProvider()  {
		if (selectionProvider == null) {
		    selectionProvider = (SelectableListTableContentProvider)resolveExpression("#{SelectionProvider}");
		}
	
	    resolveDataBinding(SELECTIONPROVIDER_PROPERTY_BINDINGS, selectionProvider, "selectionProvider", false, false);
		return selectionProvider;
	}

	public String[] getSelectedIDs()  {
		if (selectedIDs == null) {
			// nothing
		}
	
	    resolveDataBinding(SELECTEDIDS_PROPERTY_BINDINGS, selectedIDs, "selectedIDs", false, false);
		return selectedIDs;
	}

	public void setSelectedIDs(String[] selectedIDs)  {
		this.selectedIDs = selectedIDs;
	}

	public String processSelection() {
	    resolveDataBinding(PROCESSSELECTION_PROPERTY_BINDINGS, this, "processSelection.this", true, false);
		return OUTCOME_OK;
	}

	public String initialize() {
	    resolveDataBinding(INITIALIZE_PROPERTY_BINDINGS, this, "initialize.this", true, false);
		return OUTCOME_OK;
	}
	
}