package com.webmethods.caf;


public class ViewobjectNestedTableView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private com.webmethods.service.SampleDataService sampleDataService = null;
	private static final String[][] SAMPLEDATASERVICE_PROPERTY_BINDINGS = new String[][] {
		{"#{sampleDataService.inputs.itemCount}", "20"},
		{"#{sampleDataService.inputs.itemName}", "Item"},
		{"#{sampleDataService.inputs.itemDescription}", "Description"},
		{"#{sampleDataService.inputs.populateChildren}", "true"},
		{"#{sampleDataService.autoRefresh}", "true"},
	};
	public com.webmethods.service.SampleDataService getSampleDataService()  {
		if (sampleDataService == null) {
		    sampleDataService = (com.webmethods.service.SampleDataService)resolveExpression("#{SampleDataService}");
		}
	
	    resolveDataBinding(SAMPLEDATASERVICE_PROPERTY_BINDINGS, sampleDataService, "sampleDataService", false, false);
		return sampleDataService;
	}
	
	
}