package com.webmethods.caf;

import java.util.Date;

import com.webmethods.caf.faces.data.object.ListTableContentProvider;

public class ViewobjectSelectGroupsView extends com.webmethods.caf.faces.bean.BaseWebPageBean {

    /**
     * Determines if a de-serialized file is compatible with this class.
     *
     * Maintainers must change this value if and only if the new version
     * of this class is not compatible with old versions. See Sun docs
     * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
     * details. </a>
     */
    private static final long serialVersionUID = 1L;
    
    @SuppressWarnings("deprecation")
	protected MyRow[] data = new MyRow[] {
            new MyRow(new Date(100,0,1), 16, "Toucan", "Sam", "blue"),
            new MyRow(new Date(99,0,1), 1, "Wile E", "Coyote", "blue"),
            new MyRow(new Date(99,11,31), 2, "Porky", "Pig", "red"),
            new MyRow(new Date(101,2,1), 32, "cap'n", "crunch", "blue"),
            new MyRow(new Date(-844,9,14), 64, "Scroodge", "McDuck", "blue"),
            new MyRow(new Date(200,2,1), 8, "Bart", "Simpson", "green"),
            new MyRow(new Date(-408,9,12), 128, "Lion", "O", "blue"),
            new MyRow(new Date(19,0,10), 4, "Pebbles", "Flintstone", "red"),
    };
    
    protected ListTableContentProvider dataProvider = new ListTableContentProvider(data);

    private com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider simpleDataProvider = null;

    private static final String[][] SIMPLEDATAPROVIDER_PROPERTY_BINDINGS = new String[][] {
    	{"#{SimpleDataProvider.descriptionBinding}", "#{row.x} #{row.y}"},
    	{"#{SimpleDataProvider.labelBinding}", "#{row.x}"},
    	{"#{SimpleDataProvider.valueBinding}", "#{row.y}"},
    	{"#{SimpleDataProvider.table}", "#{SelectGroupsPage.dataProvider}"},
    	{"#{SimpleDataProvider.rowVariable}", "row"},
    };

    private com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider simpleSortedDataProvider = null;

    private static final String[][] SIMPLESORTEDDATAPROVIDER_PROPERTY_BINDINGS = new String[][] {
    	{"#{SimpleSortedDataProvider.descriptionBinding}", "#{row.x} #{row.y}"},
    	{"#{SimpleSortedDataProvider.valueBinding}", "#{row.y}"},
    	{"#{SimpleSortedDataProvider.array}", "#{SelectGroupsPage.data}"},
    	{"#{SimpleSortedDataProvider.rowVariable}", "row"},
    	{"#{SimpleSortedDataProvider.sort}", "#{row.y}"},
    };

    private com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider bindingsDataProvider = null;

    private static final String[][] BINDINGSDATAPROVIDER_PROPERTY_BINDINGS = new String[][] {
    	{"#{BindingsDataProvider.descriptionBinding}", "#{row.x} #{row.y}"},
    	{"#{BindingsDataProvider.disabledBinding}", "#{row.i > 10}"},
    	{"#{BindingsDataProvider.iconBinding}", "/img/#{row.z}.gif"},
    	{"#{BindingsDataProvider.labelBinding}", "#{row.y}, #{row.x}"},
    	{"#{BindingsDataProvider.styleBinding}", "color:#{row.z};"},
    	{"#{BindingsDataProvider.valueBinding}", "#{row.x} #{row.y}"},
    	{"#{BindingsDataProvider.table}", "#{SelectGroupsPage.dataProvider}"},
    	{"#{BindingsDataProvider.rowVariable}", "row"},
    };

    private com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider datesDataProvider = null;

    private static final String[][] DATESDATAPROVIDER_PROPERTY_BINDINGS = new String[][] {
    	{"#{DatesDataProvider.descriptionBinding}", "#{row.x} #{row.y}"},
    	{"#{DatesDataProvider.disabledBinding}", "#{row.i > 10}"},
    	{"#{DatesDataProvider.iconBinding}", "/img/#{row.z}.gif"},
    	{"#{DatesDataProvider.labelBinding}", "#{row.d}"},
    	{"#{DatesDataProvider.styleBinding}", "color:white;background-color:#{row.z};"},
    	{"#{DatesDataProvider.valueBinding}", "#{row.d}"},
    	{"#{DatesDataProvider.table}", "#{SelectGroupsPage.dataProvider}"},
    	{"#{DatesDataProvider.rowVariable}", "row"},
    	{"#{DatesDataProvider.sort}", "#{row.d}"},
    	{"#{DatesDataProvider.ascending}", "false"},
    };

	private static final String[][] DATAPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{dataProvider.rowType}", "com.webmethods.caf.ViewobjectSelectGroupsView.MyRow"},
	};

	public MyRow[] getData() {
        return data;
    }
    
    public ListTableContentProvider getDataProvider() {
        return dataProvider;
    }
    
    public static class MyRow {
        protected Date d;
        protected int i;
        protected String x;
        protected String y;
        protected String z;
        
        public MyRow() {
            //
        }
        
        public MyRow(Date d, int i, String x, String y, String z) {
            setD(d);
            setI(i);
            setX(x);
            setY(y);
            setZ(z);
        }
        
        public Date getD() {
            return d;
        }
        public void setD(Date d) {
            this.d = d;
        }
        public int getI() {
            return i;
        }
        public void setI(int i) {
            this.i = i;
        }
        public String getX() {
            return x;
        }
        public void setX(String x) {
            this.x = x;
        }
        public String getY() {
            return y;
        }
        public void setY(String y) {
            this.y = y;
        }
        public String getZ() {
            return z;
        }
        public void setZ(String z) {
            this.z = z;
        }
    }


    public com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider getSimpleDataProvider()  {
    	if (simpleDataProvider == null) {
    	    simpleDataProvider = (com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider)resolveExpression("#{SimpleDataProvider}");
    	}
    
        resolveDataBinding(SIMPLEDATAPROVIDER_PROPERTY_BINDINGS, simpleDataProvider, "simpleDataProvider", false, false);
    	return simpleDataProvider;
    }

    public com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider getSimpleSortedDataProvider()  {
    	if (simpleSortedDataProvider == null) {
    	    simpleSortedDataProvider = (com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider)resolveExpression("#{SimpleSortedDataProvider}");
    	}
    
        resolveDataBinding(SIMPLESORTEDDATAPROVIDER_PROPERTY_BINDINGS, simpleSortedDataProvider, "simpleSortedDataProvider", false, false);
    	return simpleSortedDataProvider;
    }

    public com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider getBindingsDataProvider()  {
    	if (bindingsDataProvider == null) {
    	    bindingsDataProvider = (com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider)resolveExpression("#{BindingsDataProvider}");
    	}
    
        resolveDataBinding(BINDINGSDATAPROVIDER_PROPERTY_BINDINGS, bindingsDataProvider, "bindingsDataProvider", false, false);
    	return bindingsDataProvider;
    }

    public com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider getDatesDataProvider()  {
    	if (datesDataProvider == null) {
    	    datesDataProvider = (com.webmethods.caf.faces.data.object.BoundPropertiesSelectItemGroupProvider)resolveExpression("#{DatesDataProvider}");
    	}
    
        resolveDataBinding(DATESDATAPROVIDER_PROPERTY_BINDINGS, datesDataProvider, "datesDataProvider", false, false);
    	return datesDataProvider;
    }
}