/**
 * 
 */
package com.webmethods.portlet.jsr168;

/**
 * @author oleksiyo
 *
 */

import javax.portlet.PortletPreferences;

public class Jsr168Bean extends com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.portlet.Wm_portlet_linksBean Wm_portlet_linksBean = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"value"
	};
	
	/**
	 * Create new preferences bean with list of preference names
	 */
	public Jsr168Bean() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.portlet.Wm_portlet_linksBean getWm_portlet_linksBean()  {
		if (Wm_portlet_linksBean == null) {
		    Wm_portlet_linksBean = (com.webmethods.portlet.Wm_portlet_linksBean)resolveExpression("#{Wm_portlet_linksBean}");
		}
		return Wm_portlet_linksBean;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getValue() throws Exception {
		return (String) getPreferenceValue("value", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setValue(String value) throws Exception {
		setPreferenceValue("value", value);
	}
}