/**
 * 
 */
package com.webmethods.portlet.order_results;

/**
 * @author oleksiyo
 *
 */

import javax.portlet.PortletPreferences;

public class Order_resultsBean extends com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.portlet.Wm_portlet_linksBean Wm_portlet_linksBean = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"query", "order_details_portlet", "order_details_page"
	};
	/**
	 * Create new preferences bean with list of preference names
	 */
	public Order_resultsBean() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.portlet.Wm_portlet_linksBean getWm_portlet_linksBean()  {
		if (Wm_portlet_linksBean == null) {
		    Wm_portlet_linksBean = (com.webmethods.portlet.Wm_portlet_linksBean)resolveExpression("#{Wm_portlet_linksBean}");
		}
		return Wm_portlet_linksBean;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getQuery() throws Exception {
		return (String) getPreferenceValue("query", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setQuery(String query) throws Exception {
		setPreferenceValue("query", query);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getOrder_details_portlet() throws Exception {
		return (String) getPreferenceValue("order_details_portlet", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setOrder_details_portlet(String order_details_portlet) throws Exception {
		setPreferenceValue("order_details_portlet", order_details_portlet);
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getOrder_details_page() throws Exception {
		return (String) getPreferenceValue("order_details_page", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setOrder_details_page(String order_details_page) throws Exception {
		setPreferenceValue("order_details_page", order_details_page);
	}
}