/**
 * 
 */
package com.webmethods.portlet.accesscontrol;

import com.webmethods.caf.faces.util.LogUtils;
/**
 *
 */
public class AccessControlViewPage extends com.webmethods.caf.faces.bean.BasePageBean {

	private com.webmethods.portlet.accesscontrol.AccessControlBean AccessControlBean = null;
	private com.webmethods.portlet.accesscontrol.UserViewBean userViewBean = null;
	private com.webmethods.portlet.accesscontrol.AdminResultsBean adminResultsBean = null;


	protected boolean getAccessPrimitive()
	{
		boolean bValue = false;
		try
		{
			// If the role is not found then a null pointer is thrown.
			// this base class method will figure out if the user 
			//   is in the role you specified.
			// TODO: Need to get the jones role and turn it into a bool
			bValue = isUserInRole("CAFAdminSample");
		}
		catch( Exception ex )
		{
			// Log this so you can see the this role is not defined for the portal.
			LogUtils.log("\n!!!! getTestAccess().CAFAdminSample Role:  ", ex );
		}
		return bValue;
	}

	// Return back a value to cause the nav-rule to 
	// take you to the correct page.
	public String updateResults()
	{
		if( getAccessPrimitive() )
			return "showAdminView";
		
		return "showUserView";
	}

	public com.webmethods.portlet.accesscontrol.AccessControlBean getAccessControlBean()  {
		if (AccessControlBean == null) {
		    AccessControlBean = (com.webmethods.portlet.accesscontrol.AccessControlBean)resolveExpression("#{AccessControlBean}");
		}
		return AccessControlBean;
	}

	public com.webmethods.portlet.accesscontrol.UserViewBean getUserViewBean()  {
		if (userViewBean == null) {
		    userViewBean = (com.webmethods.portlet.accesscontrol.UserViewBean)resolveExpression("#{UserViewBean}");
		}
		return userViewBean;
	}

	public void setUserViewBean(com.webmethods.portlet.accesscontrol.UserViewBean userViewBean)  {
		this.userViewBean = userViewBean;
	}

	public com.webmethods.portlet.accesscontrol.AdminResultsBean getAdminResultsBean()  {
		if (adminResultsBean == null) {
		    adminResultsBean = (com.webmethods.portlet.accesscontrol.AdminResultsBean)resolveExpression("#{AdminResultsBean}");
		}
		return adminResultsBean;
	}

	public void setAdminResultsBean(com.webmethods.portlet.accesscontrol.AdminResultsBean adminResultsBean)  {
		this.adminResultsBean = adminResultsBean;
	}

}