package com.webmethods.caf;

import java.math.BigDecimal;
import java.math.BigInteger;

public class ConverterSamplesFormattedView extends com.webmethods.caf.faces.bean.BasePageBean {

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	protected BigDecimal bdecValue = new BigDecimal( 1000 );
	protected BigInteger bintValue = new BigInteger( new byte[]{ 0x01,0x02} );
	
	protected Boolean 	boolValue 	= Boolean.TRUE;
	protected Byte 		byteValue 	= new Byte( "16" );
	protected Character charValue 	= 'a';
	protected Double 	doubValue 	= new Double( 1000 );
	protected Float 	floatValue 	= new Float( 1000 );
	protected Double    filesizeValue = new Double( 1000000 );
	protected Integer 	intValue 	= new Integer( 1000 );
	protected Long 	  	longValue 	= new Long( 1000 );
	protected Number 	numValue 	= new Integer( 1000 );
	protected Short		shortValue  = new Short( (short)10 );
	protected Double    sizeValue   = new Double( 10000 );

	public BigDecimal getBigDecimalValue() {
		return bdecValue;
	}
	public void setBigDecimalValue( BigDecimal value ) {
		bdecValue = value;
	}
	public BigInteger getBigIntegerValue() {
		return bintValue;
	}
	public void setBigIntegerValue( BigInteger value ) {
		bintValue = value;
	}
	public Boolean getBooleanValue() {
		return boolValue;
	}
	public void setBooleanValue( Boolean value ) {
		boolValue = value;
	}
	public Byte getByteValue() {
		return byteValue;
	}
	public void setByteValue(Byte value ) {
		byteValue = value;
	}
	public Character getCharacterValue() {
		return charValue;
	}
	public void setCharacterValue(Character value ) {
		charValue = value;
	}
	public Double getDoubleValue() {
		return doubValue;
	}
	public void setDoubleValue(Double value ) {
		doubValue = value;
	}
	public Float getFloatValue() {
		return floatValue;
	}
	public void setFloatValue(Float value ) {
		floatValue = value;
	}
	public Double getFileSizeValue() {
		return filesizeValue;
	}
	public void setFileSizeValue(Double value ) {
		filesizeValue = value;
	}
	public Integer getIntegerValue() {
		return intValue;
	}
	public void setIntegerValue( Integer value ) {
		intValue = value;
	}
	public Long getLongValue() {
		return longValue;
	}
	public void setLongValue(Long value ) {
		longValue = value;
	}
	public Number getNumberValue() {
		return numValue;
	}
	public void setNumberValue(Number value ) {
		numValue = value;
	}
	public Short getShortValue() {
		return shortValue;
	}
	public void setShortValue(Short value ) {
		shortValue = value;
	}
	public Double getSizeValue() {
		return sizeValue;
	}
	public void setSizeValue(Double value ) {
		sizeValue = value;
	}
	
	public String returnOK() {
		return "ok";
	}
	
}