package com.webmethods.caf.is.wsclient.caf.northwind.searchorders;


import com.webmethods.caf.faces.data.ws.glue.GlueWSClientContentProvider;

/**
 * Glue Web Service Client bean generated for 
 * com.webmethods.caf.is.wsclient.caf.northwind.searchorders.Icaf_northwindPortType.SearchOrders.
 */
public class SearchOrders extends GlueWSClientContentProvider {

	private static final long serialVersionUID = 7974637274125846528L;

	/**
	 * Default constructor
	 */
	public SearchOrders() {
		super(com.webmethods.caf.is.wsclient.caf.northwind.searchorders.Icaf_northwindPortType.class, // port type proxy class
			"SearchOrders", // method to invoke
			new String[] { "keyword",  "shipVia",  "fromOrderDate",  "toOrderDate",  "fromFreight",  "toFreight", }, // method parameter names
			new Class[] { java.lang.String.class,  java.lang.String.class,  java.lang.String.class,  java.lang.String.class,  java.lang.String.class,  java.lang.String.class, } // method parameter types
		);
		// wsdl and maps by are saved in the same package
		setWsdlUrl("classpath:SearchOrders.wsdl");
		setMapUrls(new String[] { "classpath:caf_northwindService.map", });

		// init wsclient
		initParams();
		
		// parameters bean
		parameters = new Parameters();
		
		// complex output, just a place holder
		result = new com.webmethods.caf.is.wsclient.caf.northwind.searchorders.__SearchOrdersOutput();
		
	}
	
	
	/**
	 * Method parameters bean
	 */
	public class Parameters  implements java.io.Serializable {

		private static final long serialVersionUID = 301517926996280320L;

		public Parameters() {
		}
	
		private java.lang.String keyword ;

		public java.lang.String getKeyword() {
			return keyword;
		}

		public void setKeyword(java.lang.String keyword) {
			this.keyword = keyword;
		} 	
	
		private java.lang.String shipVia ;

		public java.lang.String getShipVia() {
			return shipVia;
		}

		public void setShipVia(java.lang.String shipVia) {
			this.shipVia = shipVia;
		} 	
	
		private java.lang.String fromOrderDate ;

		public java.lang.String getFromOrderDate() {
			return fromOrderDate;
		}

		public void setFromOrderDate(java.lang.String fromOrderDate) {
			this.fromOrderDate = fromOrderDate;
		} 	
	
		private java.lang.String toOrderDate ;

		public java.lang.String getToOrderDate() {
			return toOrderDate;
		}

		public void setToOrderDate(java.lang.String toOrderDate) {
			this.toOrderDate = toOrderDate;
		} 	
	
		private java.lang.String fromFreight ;

		public java.lang.String getFromFreight() {
			return fromFreight;
		}

		public void setFromFreight(java.lang.String fromFreight) {
			this.fromFreight = fromFreight;
		} 	
	
		private java.lang.String toFreight ;

		public java.lang.String getToFreight() {
			return toFreight;
		}

		public void setToFreight(java.lang.String toFreight) {
			this.toFreight = toFreight;
		} 	
		
	}
	
	
	
	/**
	 * Return method invocation parameters bean
	 */
	public Parameters getParameters() {
		return (Parameters)parameters;
	}	
	


	
	/**
	 * Return method invocation result
	 */
	public com.webmethods.caf.is.wsclient.caf.northwind.searchorders.__SearchOrdersOutput getResult() {
		return (com.webmethods.caf.is.wsclient.caf.northwind.searchorders.__SearchOrdersOutput)result;
	}
	

		
}