/**
 * 
 */
package com.webmethods.caf.ordercreditstart;

/**
 * @author oleksiyo
 *
 */

import javax.faces.application.FacesMessage;

public class OrderCreditStartDefaultviewView extends com.webmethods.caf.faces.bean.BasePageBean {


	

	/**
	 * Determines if a de-serialized file is compatible with this class.
	 *
	 * Maintainers must change this value if and only if the new version
	 * of this class is not compatible with old versions. See Sun docs
	 * for <a href=http://java.sun.com/j2se/1.5.0/docs/guide/serialization/spec/version.html> 
	 * details. </a>
	 */
	private static final long serialVersionUID = 1L;
	private com.webmethods.caf.faces.data.object.TableSelectItemGroupProvider taskPriorityMapProvider = null;
	private static final String[][] TASKPRIORITYMAPPROVIDER_PROPERTY_BINDINGS = new String[][] {
		{"#{TaskPriorityMapProvider.labelFieldName}", "label"},
		{"#{TaskPriorityMapProvider.array}", "#{TaskDisplayProvider.taskPriorityItems}"},
		{"#{TaskPriorityMapProvider.valueFieldName}", "value"},
	};
	private com.webmethods.caf.ordercreditstart.OrderCreditStart orderCreditStart = null;
	private com.webmethods.caf.taskclient.OrderCredit orderCredit = null;
	private com.webmethods.caf.is.wsclient.caf.northwind.searchorders.SearchOrders searchOrders = null;
	private com.webmethods.caf.is.wsclient.caf.northwind.getorderinfo.GetOrderInfo getOrderInfo = null;
	private static final String[][] SEARCHORDERS_PROPERTY_BINDINGS = new String[][] {
		{"#{searchOrders.autoRefresh}", "false"},
		{"#{searchOrders.authCredentials.userName}", "Administrator"},
		{"#{searchOrders.authCredentials.password}", "manage"},
	};
	private static final String[][] ORDERCREDIT_PROPERTY_BINDINGS = new String[][] {
		{"#{orderCredit.taskData.orderID}", "#{OrderCreditStartDefaultviewView.orderCreditStart.orderID}"},
	};
	private static final String[][] GETORDERINFO_PROPERTY_BINDINGS = new String[][] {
		{"#{getOrderInfo.autoRefresh}", "true"},
		{"#{getOrderInfo.authCredentials.userName}", "Administrator"},
		{"#{getOrderInfo.authCredentials.password}", "manage"},
		{"#{getOrderInfo.parameters.orderID}", "#{OrderCreditStartDefaultviewView.orderCreditStart.orderID}"},
	};
	public com.webmethods.caf.faces.data.object.TableSelectItemGroupProvider getTaskPriorityMapProvider()  {
		if (taskPriorityMapProvider == null) {
		    taskPriorityMapProvider = (com.webmethods.caf.faces.data.object.TableSelectItemGroupProvider)resolveExpression("#{TaskPriorityMapProvider}");
		}
	    resolveDataBinding(TASKPRIORITYMAPPROVIDER_PROPERTY_BINDINGS, taskPriorityMapProvider, null, false, true);
		return taskPriorityMapProvider;
	}

    /**
     * Queue new task. 
     * If successful adds INFO message to the faces context.
     * If failed adds error messages to the faces context.
     */
	public String queueNewTask() {
		try {
			// do the work
			getOrderCredit().queueNewTask();

			
			
			
			getFacesContext().addMessage(null, new FacesMessage(
				FacesMessage.SEVERITY_INFO, 
				"New Task has been successfully submitted", 
				"Task ID is: " + getOrderCredit().getTaskID()));

			return OUTCOME_OK; 
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}	
	}
	
   /**
	 * Go to the URL specified by the 'returnURL' preference
	 */
	public String doReturnURL() {
		try {
			// just redirect to return (finish) url
			String returnURL = (String)getOrderCreditStart().getReturnUrl();
			if (returnURL != null && returnURL.length() > 0) {
				getFacesContext().getExternalContext().redirect(returnURL);
			}
			return OUTCOME_OK;
		} catch (Exception e) {
			error(e);
			log(e);
			return OUTCOME_ERROR; 
		}
	}

public com.webmethods.caf.ordercreditstart.OrderCreditStart getOrderCreditStart()  {
	if (orderCreditStart == null) {
	    orderCreditStart = (com.webmethods.caf.ordercreditstart.OrderCreditStart)resolveExpression("#{OrderCreditStart}");
	}
	return orderCreditStart;
}

public com.webmethods.caf.taskclient.OrderCredit getOrderCredit()  {
	if (orderCredit == null) {
	    orderCredit = (com.webmethods.caf.taskclient.OrderCredit)resolveExpression("#{OrderCredit}");
	}

    resolveDataBinding(ORDERCREDIT_PROPERTY_BINDINGS, orderCredit, "orderCredit", false, false);
	return orderCredit;
}

public com.webmethods.caf.is.wsclient.caf.northwind.searchorders.SearchOrders getSearchOrders()  {
	if (searchOrders == null) {
	    searchOrders = (com.webmethods.caf.is.wsclient.caf.northwind.searchorders.SearchOrders)resolveExpression("#{SearchOrders}");
	}

    resolveDataBinding(SEARCHORDERS_PROPERTY_BINDINGS, searchOrders, "searchOrders", false, false);
	return searchOrders;
}

public com.webmethods.caf.is.wsclient.caf.northwind.getorderinfo.GetOrderInfo getGetOrderInfo()  {
	if (getOrderInfo == null) {
	    getOrderInfo = (com.webmethods.caf.is.wsclient.caf.northwind.getorderinfo.GetOrderInfo)resolveExpression("#{GetOrderInfo}");
	}

    resolveDataBinding(GETORDERINFO_PROPERTY_BINDINGS, getOrderInfo, "getOrderInfo", false, false);
	return getOrderInfo;
}
	
	

}