package com.webmethods.caf.analyzabletaskinboxresults;


/**
 * Task Search bean for 'AnalyzableTask' task.
 */
public class AnalyzableTaskSearchProvider extends com.webmethods.caf.faces.data.task.impl.TaskInboxSearchContentProvider {

	private static final long serialVersionUID = 2676834995614196736L;
	private static final String TASK_TYPE_ID = "FD49D0B8-5D85-49DF-63AF-A6A5AEA371F6";

	public AnalyzableTaskSearchProvider() {
		super(); // task type id to search
		m_searchQuery = new CustomInboxSearchQuery(); 
	}

	/**
	 * Typed ITaskData getter
	 * @return current task data
	 */
	public com.webmethods.caf.taskclient.AnalyzableTask.TaskData getTaskData() {
		return (com.webmethods.caf.taskclient.AnalyzableTask.TaskData)getValue(PROPERTY_TASKDATA);
	}

	/**
	 * Typed custom search query
	 */
	public CustomInboxSearchQuery getSearchQuery() {  
		return (CustomInboxSearchQuery)m_searchQuery;
	}

	/**
	 * Custom inbox search query that can be extended
	 **/
	public class CustomInboxSearchQuery extends com.webmethods.caf.faces.data.task.impl.TaskInboxSearchContentProvider.InboxSearchQuery {
		private static final long serialVersionUID = 3887288468767664128L;
		
		public CustomInboxSearchQuery() {
			super();
		}

	}				

}
