/**
 * 
 */
package com.webmethods.caf.productdetails;

/**
 * @author ronw
 *
 */

import javax.portlet.PortletPreferences;

public class ProductDetails  extends   com.webmethods.caf.faces.bean.BaseFacesPreferencesBean {

	private com.webmethods.caf.AnalyzableTaskApp analyzableTaskApp = null;
	/**
	 * List of portlet preference names
	 */
	public static final String[] PREFERENCES_NAMES = new String[] {
		"productID"
	};
	
	/**
	 * Create new preferences bean with list of preference names
	 */
	public ProductDetails() {
		super(PREFERENCES_NAMES);
	}
	
	/**
	 * Call this method in order to persist
	 * Portlet preferences
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		PortletPreferences preferences = getPreferences();
		preferences.store();
	}

	public com.webmethods.caf.AnalyzableTaskApp getAnalyzableTaskApp()  {
		if (analyzableTaskApp == null) {
		    analyzableTaskApp = (com.webmethods.caf.AnalyzableTaskApp)resolveExpression("#{AnalyzableTaskApp}");
		}
		return analyzableTaskApp;
	}

	/**
	 * The algorithm for this 'smart' preference getter is:
	 * 1) Check the Request Map (skip this step if it isn't a 'smart' preference)
	 * 2) Check the Member variable
	 * 3) Fall back to the PortletPreferences
	 */
	public String getProductID() throws Exception {
		return (String) getPreferenceValue("productID", String.class);
	}

	/**
	 * Invoke {@link #storePreferences} to persist these changes
	 */
	public void setProductID(String productID) throws Exception {
		setPreferenceValue("productID", productID);
	}
}